
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

//
//
// Common PA Library -- Twiddle Factors for FFT
//
//
//

/*          void tw_gen(float * w, int N)                                  *  
*           {                                                              *  
*             int j, k;                                                    *  
*             double x_t, y_t, theta1, theta2, theta3;                     *  
*             const double PI = 3.141592654;                               *  
*                                                                          *  
*             for (j=1, k=0; j <= N>>2; j = j<<2)                          *  
*             {                                                            *  
*                 for (i=0; i < N>>2; i+=j)                                *  
*                 {                                                        *  
*                     theta1 = 2*PI*i/N;                                   *  
*                     x_t = cos(theta1);                                   *  
*                     y_t = sin(theta1);                                   *  
*                     w[k]   =  (float)x_t;                                *  
*                     w[k+1] =  (float)y_t;                                *  
*                                                                          *  
*                     theta2 = 4*PI*i/N;                                   *  
*                     x_t = cos(theta2);                                   *  
*                     y_t = sin(theta2);                                   *  
*                     w[k+2] =  (float)x_t;                                *  
*                     w[k+3] =  (float)y_t;                                *  
*                                                                          *  
*                     theta3 = 6*PI*i/N;                                   *  
*                     x_t = cos(theta3);                                   *  
*                     y_t = sin(theta3);                                   *  
*                     w[k+4] =  (float)x_t;                                *  
*                     w[k+5] =  (float)y_t;                                *  
*                     k+=6;                                                *  
*                 }                                                        *  
*             }                                                            *  
*           }        
***************************************************************************/

#pragma DATA_ALIGN (brev , 8);
const unsigned char brev[64] = {                                    
                    0x0, 0x20, 0x10, 0x30, 0x8, 0x28, 0x18, 0x38,          
                    0x4, 0x24, 0x14, 0x34, 0xc, 0x2c, 0x1c, 0x3c,          
                    0x2, 0x22, 0x12, 0x32, 0xa, 0x2a, 0x1a, 0x3a,          
                    0x6, 0x26, 0x16, 0x36, 0xe, 0x2e, 0x1e, 0x3e,          
                    0x1, 0x21, 0x11, 0x31, 0x9, 0x29, 0x19, 0x39,          
                    0x5, 0x25, 0x15, 0x35, 0xd, 0x2d, 0x1d, 0x3d,          
                    0x3, 0x23, 0x13, 0x33, 0xb, 0x2b, 0x1b, 0x3b,          
                    0x7, 0x27, 0x17, 0x37, 0xf, 0x2f, 0x1f, 0x3f           
              }; 


#pragma DATA_ALIGN (twiddle_512 , 8);
const float twiddle_512[] = 
{
 1.000000000000000 , 0.000000000000000 , 1.000000000000000 , 0.000000000000000 ,
 1.000000000000000 , 0.000000000000000 , 0.999924719333649 , 0.012271538376808 ,
 0.999698817729950 , 0.024541229009628 , 0.999322354793549 , 0.036807224154472 ,
 0.999698817729950 , 0.024541229009628 , 0.998795449733734 , 0.049067676067352 ,
 0.997290432453156 , 0.073564566671848 , 0.999322354793549 , 0.036807224154472 ,
 0.997290432453156 , 0.073564566671848 , 0.993906974792480 , 0.110222205519676 ,
 0.998795449733734 , 0.049067676067352 , 0.995184719562531 , 0.098017141222954 ,
 0.989176511764526 , 0.146730467677116 , 0.998118102550507 , 0.061320737004280 ,
 0.992479562759399 , 0.122410677373409 , 0.983105480670929 , 0.183039888739586 ,
 0.997290432453156 , 0.073564566671848 , 0.989176511764526 , 0.146730467677116 ,
 0.975702106952667 , 0.219101235270500 , 0.996312618255615 , 0.085797309875488 ,
 0.985277652740479 , 0.170961886644363 , 0.966976463794708 , 0.254865646362305 ,
 0.995184719562531 , 0.098017141222954 , 0.980785250663757 , 0.195090323686600 ,
 0.956940352916718 , 0.290284663438797 , 0.993906974792480 , 0.110222205519676 ,
 0.975702106952667 , 0.219101235270500 , 0.945607304573059 , 0.325310289859772 ,
 0.992479562759399 , 0.122410677373409 , 0.970031261444092 , 0.242980182170868 ,
 0.932992815971375 , 0.359895050525665 , 0.990902662277222 , 0.134580701589584 ,
 0.963776051998138 , 0.266712754964828 , 0.919113874435425 , 0.393992036581039 ,
 0.989176511764526 , 0.146730467677116 , 0.956940352916718 , 0.290284663438797 ,
 0.903989315032959 , 0.427555084228516 , 0.987301409244537 , 0.158858150243759 ,
 0.949528157711029 , 0.313681751489639 , 0.887639641761780 , 0.460538715124130 ,
 0.985277652740479 , 0.170961886644363 , 0.941544055938721 , 0.336889863014221 ,
 0.870086967945099 , 0.492898195981979 , 0.983105480670929 , 0.183039888739586 ,
 0.932992815971375 , 0.359895050525665 , 0.851355195045471 , 0.524589657783508 ,
 0.980785250663757 , 0.195090323686600 , 0.923879504203796 , 0.382683426141739 ,
 0.831469595432281 , 0.555570244789124 , 0.978317379951477 , 0.207111373543739 ,
 0.914209783077240 , 0.405241310596466 , 0.810457170009613 , 0.585797846317291 ,
 0.975702106952667 , 0.219101235270500 , 0.903989315032959 , 0.427555084228516 ,
 0.788346409797668 , 0.615231573581696 , 0.972939968109131 , 0.231058105826378 ,
 0.893224298954010 , 0.449611335992813 , 0.765167236328125 , 0.643831551074982 ,
 0.970031261444092 , 0.242980182170868 , 0.881921291351318 , 0.471396744251251 ,
 0.740951120853424 , 0.671558976173401 , 0.966976463794708 , 0.254865646362305 ,
 0.870086967945099 , 0.492898195981979 , 0.715730845928192 , 0.698376238346100 ,
 0.963776051998138 , 0.266712754964828 , 0.857728600502014 , 0.514102756977081 ,
 0.689540565013886 , 0.724247097969055 , 0.960430502891541 , 0.278519690036774 ,
 0.844853579998016 , 0.534997642040253 , 0.662415802478790 , 0.749136388301849 ,
 0.956940352916718 , 0.290284663438797 , 0.831469595432281 , 0.555570244789124 ,
 0.634393274784088 , 0.773010432720184 , 0.953306019306183 , 0.302005946636200 ,
 0.817584812641144 , 0.575808167457581 , 0.605511069297791 , 0.795836925506592 ,
 0.949528157711029 , 0.313681751489639 , 0.803207516670227 , 0.595699310302734 ,
 0.575808167457581 , 0.817584812641144 , 0.945607304573059 , 0.325310289859772 ,
 0.788346409797668 , 0.615231573581696 , 0.545324981212616 , 0.838224709033966 ,
 0.941544055938721 , 0.336889863014221 , 0.773010432720184 , 0.634393274784088 ,
 0.514102756977081 , 0.857728600502014 , 0.937339007854462 , 0.348418682813644 ,
 0.757208824157715 , 0.653172850608826 , 0.482183784246445 , 0.876070082187653 ,
 0.932992815971375 , 0.359895050525665 , 0.740951120853424 , 0.671558976173401 ,
 0.449611335992813 , 0.893224298954010 , 0.928506076335907 , 0.371317207813263 ,
 0.724247097969055 , 0.689540565013886 , 0.416429549455643 , 0.909168004989624 ,
 0.923879504203796 , 0.382683426141739 , 0.707106769084930 , 0.707106769084930 ,
 0.382683426141739 , 0.923879504203796 , 0.919113874435425 , 0.393992036581039 ,
 0.689540565013886 , 0.724247097969055 , 0.348418682813644 , 0.937339007854462 ,
 0.914209783077240 , 0.405241310596466 , 0.671558976173401 , 0.740951120853424 ,
 0.313681751489639 , 0.949528157711029 , 0.909168004989624 , 0.416429549455643 ,
 0.653172850608826 , 0.757208824157715 , 0.278519690036774 , 0.960430502891541 ,
 0.903989315032959 , 0.427555084228516 , 0.634393274784088 , 0.773010432720184 ,
 0.242980182170868 , 0.970031261444092 , 0.898674488067627 , 0.438616245985031 ,
 0.615231573581696 , 0.788346409797668 , 0.207111373543739 , 0.978317379951477 ,
 0.893224298954010 , 0.449611335992813 , 0.595699310302734 , 0.803207516670227 ,
 0.170961886644363 , 0.985277652740479 , 0.887639641761780 , 0.460538715124130 ,
 0.575808167457581 , 0.817584812641144 , 0.134580701589584 , 0.990902662277222 ,
 0.881921291351318 , 0.471396744251251 , 0.555570244789124 , 0.831469595432281 ,
 0.098017141222954 , 0.995184719562531 , 0.876070082187653 , 0.482183784246445 ,
 0.534997642040253 , 0.844853579998016 , 0.061320737004280 , 0.998118102550507 ,
 0.870086967945099 , 0.492898195981979 , 0.514102756977081 , 0.857728600502014 ,
 0.024541229009628 , 0.999698817729950 , 0.863972842693329 , 0.503538370132446 ,
 0.492898195981979 , 0.870086967945099 ,-0.012271538376808 , 0.999924719333649 ,
 0.857728600502014 , 0.514102756977081 , 0.471396744251251 , 0.881921291351318 ,
-0.049067676067352 , 0.998795449733734 , 0.851355195045471 , 0.524589657783508 ,
 0.449611335992813 , 0.893224298954010 ,-0.085797309875488 , 0.996312618255615 ,
 0.844853579998016 , 0.534997642040253 , 0.427555084228516 , 0.903989315032959 ,
-0.122410677373409 , 0.992479562759399 , 0.838224709033966 , 0.545324981212616 ,
 0.405241310596466 , 0.914209783077240 ,-0.158858150243759 , 0.987301409244537 ,
 0.831469595432281 , 0.555570244789124 , 0.382683426141739 , 0.923879504203796 ,
-0.195090323686600 , 0.980785250663757 , 0.824589312076569 , 0.565731823444366 ,
 0.359895050525665 , 0.932992815971375 ,-0.231058105826378 , 0.972939968109131 ,
 0.817584812641144 , 0.575808167457581 , 0.336889863014221 , 0.941544055938721 ,
-0.266712754964828 , 0.963776051998138 , 0.810457170009613 , 0.585797846317291 ,
 0.313681751489639 , 0.949528157711029 ,-0.302005946636200 , 0.953306019306183 ,
 0.803207516670227 , 0.595699310302734 , 0.290284663438797 , 0.956940352916718 ,
-0.336889863014221 , 0.941544055938721 , 0.795836925506592 , 0.605511069297791 ,
 0.266712754964828 , 0.963776051998138 ,-0.371317207813263 , 0.928506076335907 ,
 0.788346409797668 , 0.615231573581696 , 0.242980182170868 , 0.970031261444092 ,
-0.405241310596466 , 0.914209783077240 , 0.780737221240997 , 0.624859511852264 ,
 0.219101235270500 , 0.975702106952667 ,-0.438616245985031 , 0.898674488067627 ,
 0.773010432720184 , 0.634393274784088 , 0.195090323686600 , 0.980785250663757 ,
-0.471396744251251 , 0.881921291351318 , 0.765167236328125 , 0.643831551074982 ,
 0.170961886644363 , 0.985277652740479 ,-0.503538370132446 , 0.863972842693329 ,
 0.757208824157715 , 0.653172850608826 , 0.146730467677116 , 0.989176511764526 ,
-0.534997642040253 , 0.844853579998016 , 0.749136388301849 , 0.662415802478790 ,
 0.122410677373409 , 0.992479562759399 ,-0.565731823444366 , 0.824589312076569 ,
 0.740951120853424 , 0.671558976173401 , 0.098017141222954 , 0.995184719562531 ,
-0.595699310302734 , 0.803207516670227 , 0.732654273509979 , 0.680601000785828 ,
 0.073564566671848 , 0.997290432453156 ,-0.624859511852264 , 0.780737221240997 ,
 0.724247097969055 , 0.689540565013886 , 0.049067676067352 , 0.998795449733734 ,
-0.653172850608826 , 0.757208824157715 , 0.715730845928192 , 0.698376238346100 ,
 0.024541229009628 , 0.999698817729950 ,-0.680601000785828 , 0.732654273509979 ,
 0.707106769084930 , 0.707106769084930 , 0.000000000000000 , 1.000000000000000 ,
-0.707106769084930 , 0.707106769084930 , 0.698376238346100 , 0.715730845928192 ,
-0.024541229009628 , 0.999698817729950 ,-0.732654273509979 , 0.680601000785828 ,
 0.689540565013886 , 0.724247097969055 ,-0.049067676067352 , 0.998795449733734 ,
-0.757208824157715 , 0.653172850608826 , 0.680601000785828 , 0.732654273509979 ,
-0.073564566671848 , 0.997290432453156 ,-0.780737221240997 , 0.624859511852264 ,
 0.671558976173401 , 0.740951120853424 ,-0.098017141222954 , 0.995184719562531 ,
-0.803207516670227 , 0.595699310302734 , 0.662415802478790 , 0.749136388301849 ,
-0.122410677373409 , 0.992479562759399 ,-0.824589312076569 , 0.565731823444366 ,
 0.653172850608826 , 0.757208824157715 ,-0.146730467677116 , 0.989176511764526 ,
-0.844853579998016 , 0.534997642040253 , 0.643831551074982 , 0.765167236328125 ,
-0.170961886644363 , 0.985277652740479 ,-0.863972842693329 , 0.503538370132446 ,
 0.634393274784088 , 0.773010432720184 ,-0.195090323686600 , 0.980785250663757 ,
-0.881921291351318 , 0.471396744251251 , 0.624859511852264 , 0.780737221240997 ,
-0.219101235270500 , 0.975702106952667 ,-0.898674488067627 , 0.438616245985031 ,
 0.615231573581696 , 0.788346409797668 ,-0.242980182170868 , 0.970031261444092 ,
-0.914209783077240 , 0.405241310596466 , 0.605511069297791 , 0.795836925506592 ,
-0.266712754964828 , 0.963776051998138 ,-0.928506076335907 , 0.371317207813263 ,
 0.595699310302734 , 0.803207516670227 ,-0.290284663438797 , 0.956940352916718 ,
-0.941544055938721 , 0.336889863014221 , 0.585797846317291 , 0.810457170009613 ,
-0.313681751489639 , 0.949528157711029 ,-0.953306019306183 , 0.302005946636200 ,
 0.575808167457581 , 0.817584812641144 ,-0.336889863014221 , 0.941544055938721 ,
-0.963776051998138 , 0.266712754964828 , 0.565731823444366 , 0.824589312076569 ,
-0.359895050525665 , 0.932992815971375 ,-0.972939968109131 , 0.231058105826378 ,
 0.555570244789124 , 0.831469595432281 ,-0.382683426141739 , 0.923879504203796 ,
-0.980785250663757 , 0.195090323686600 , 0.545324981212616 , 0.838224709033966 ,
-0.405241310596466 , 0.914209783077240 ,-0.987301409244537 , 0.158858150243759 ,
 0.534997642040253 , 0.844853579998016 ,-0.427555084228516 , 0.903989315032959 ,
-0.992479562759399 , 0.122410677373409 , 0.524589657783508 , 0.851355195045471 ,
-0.449611335992813 , 0.893224298954010 ,-0.996312618255615 , 0.085797309875488 ,
 0.514102756977081 , 0.857728600502014 ,-0.471396744251251 , 0.881921291351318 ,
-0.998795449733734 , 0.049067676067352 , 0.503538370132446 , 0.863972842693329 ,
-0.492898195981979 , 0.870086967945099 ,-0.999924719333649 , 0.012271538376808 ,
 0.492898195981979 , 0.870086967945099 ,-0.514102756977081 , 0.857728600502014 ,
-0.999698817729950 ,-0.024541229009628 , 0.482183784246445 , 0.876070082187653 ,
-0.534997642040253 , 0.844853579998016 ,-0.998118102550507 ,-0.061320737004280 ,
 0.471396744251251 , 0.881921291351318 ,-0.555570244789124 , 0.831469595432281 ,
-0.995184719562531 ,-0.098017141222954 , 0.460538715124130 , 0.887639641761780 ,
-0.575808167457581 , 0.817584812641144 ,-0.990902662277222 ,-0.134580701589584 ,
 0.449611335992813 , 0.893224298954010 ,-0.595699310302734 , 0.803207516670227 ,
-0.985277652740479 ,-0.170961886644363 , 0.438616245985031 , 0.898674488067627 ,
-0.615231573581696 , 0.788346409797668 ,-0.978317379951477 ,-0.207111373543739 ,
 0.427555084228516 , 0.903989315032959 ,-0.634393274784088 , 0.773010432720184 ,
-0.970031261444092 ,-0.242980182170868 , 0.416429549455643 , 0.909168004989624 ,
-0.653172850608826 , 0.757208824157715 ,-0.960430502891541 ,-0.278519690036774 ,
 0.405241310596466 , 0.914209783077240 ,-0.671558976173401 , 0.740951120853424 ,
-0.949528157711029 ,-0.313681751489639 , 0.393992036581039 , 0.919113874435425 ,
-0.689540565013886 , 0.724247097969055 ,-0.937339007854462 ,-0.348418682813644 ,
 0.382683426141739 , 0.923879504203796 ,-0.707106769084930 , 0.707106769084930 ,
-0.923879504203796 ,-0.382683426141739 , 0.371317207813263 , 0.928506076335907 ,
-0.724247097969055 , 0.689540565013886 ,-0.909168004989624 ,-0.416429549455643 ,
 0.359895050525665 , 0.932992815971375 ,-0.740951120853424 , 0.671558976173401 ,
-0.893224298954010 ,-0.449611335992813 , 0.348418682813644 , 0.937339007854462 ,
-0.757208824157715 , 0.653172850608826 ,-0.876070082187653 ,-0.482183784246445 ,
 0.336889863014221 , 0.941544055938721 ,-0.773010432720184 , 0.634393274784088 ,
-0.857728600502014 ,-0.514102756977081 , 0.325310289859772 , 0.945607304573059 ,
-0.788346409797668 , 0.615231573581696 ,-0.838224709033966 ,-0.545324981212616 ,
 0.313681751489639 , 0.949528157711029 ,-0.803207516670227 , 0.595699310302734 ,
-0.817584812641144 ,-0.575808167457581 , 0.302005946636200 , 0.953306019306183 ,
-0.817584812641144 , 0.575808167457581 ,-0.795836925506592 ,-0.605511069297791 ,
 0.290284663438797 , 0.956940352916718 ,-0.831469595432281 , 0.555570244789124 ,
-0.773010432720184 ,-0.634393274784088 , 0.278519690036774 , 0.960430502891541 ,
-0.844853579998016 , 0.534997642040253 ,-0.749136388301849 ,-0.662415802478790 ,
 0.266712754964828 , 0.963776051998138 ,-0.857728600502014 , 0.514102756977081 ,
-0.724247097969055 ,-0.689540565013886 , 0.254865646362305 , 0.966976463794708 ,
-0.870086967945099 , 0.492898195981979 ,-0.698376238346100 ,-0.715730845928192 ,
 0.242980182170868 , 0.970031261444092 ,-0.881921291351318 , 0.471396744251251 ,
-0.671558976173401 ,-0.740951120853424 , 0.231058105826378 , 0.972939968109131 ,
-0.893224298954010 , 0.449611335992813 ,-0.643831551074982 ,-0.765167236328125 ,
 0.219101235270500 , 0.975702106952667 ,-0.903989315032959 , 0.427555084228516 ,
-0.615231573581696 ,-0.788346409797668 , 0.207111373543739 , 0.978317379951477 ,
-0.914209783077240 , 0.405241310596466 ,-0.585797846317291 ,-0.810457170009613 ,
 0.195090323686600 , 0.980785250663757 ,-0.923879504203796 , 0.382683426141739 ,
-0.555570244789124 ,-0.831469595432281 , 0.183039888739586 , 0.983105480670929 ,
-0.932992815971375 , 0.359895050525665 ,-0.524589657783508 ,-0.851355195045471 ,
 0.170961886644363 , 0.985277652740479 ,-0.941544055938721 , 0.336889863014221 ,
-0.492898195981979 ,-0.870086967945099 , 0.158858150243759 , 0.987301409244537 ,
-0.949528157711029 , 0.313681751489639 ,-0.460538715124130 ,-0.887639641761780 ,
 0.146730467677116 , 0.989176511764526 ,-0.956940352916718 , 0.290284663438797 ,
-0.427555084228516 ,-0.903989315032959 , 0.134580701589584 , 0.990902662277222 ,
-0.963776051998138 , 0.266712754964828 ,-0.393992036581039 ,-0.919113874435425 ,
 0.122410677373409 , 0.992479562759399 ,-0.970031261444092 , 0.242980182170868 ,
-0.359895050525665 ,-0.932992815971375 , 0.110222205519676 , 0.993906974792480 ,
-0.975702106952667 , 0.219101235270500 ,-0.325310289859772 ,-0.945607304573059 ,
 0.098017141222954 , 0.995184719562531 ,-0.980785250663757 , 0.195090323686600 ,
-0.290284663438797 ,-0.956940352916718 , 0.085797309875488 , 0.996312618255615 ,
-0.985277652740479 , 0.170961886644363 ,-0.254865646362305 ,-0.966976463794708 ,
 0.073564566671848 , 0.997290432453156 ,-0.989176511764526 , 0.146730467677116 ,
-0.219101235270500 ,-0.975702106952667 , 0.061320737004280 , 0.998118102550507 ,
-0.992479562759399 , 0.122410677373409 ,-0.183039888739586 ,-0.983105480670929 ,
 0.049067676067352 , 0.998795449733734 ,-0.995184719562531 , 0.098017141222954 ,
-0.146730467677116 ,-0.989176511764526 , 0.036807224154472 , 0.999322354793549 ,
-0.997290432453156 , 0.073564566671848 ,-0.110222205519676 ,-0.993906974792480 ,
 0.024541229009628 , 0.999698817729950 ,-0.998795449733734 , 0.049067676067352 ,
-0.073564566671848 ,-0.997290432453156 , 0.012271538376808 , 0.999924719333649 ,
-0.999698817729950 , 0.024541229009628 ,-0.036807224154472 ,-0.999322354793549 ,
 1.000000000000000 , 0.000000000000000 , 1.000000000000000 , 0.000000000000000 ,
 1.000000000000000 , 0.000000000000000 , 0.998795449733734 , 0.049067676067352 ,
 0.995184719562531 , 0.098017141222954 , 0.989176511764526 , 0.146730467677116 ,
 0.995184719562531 , 0.098017141222954 , 0.980785250663757 , 0.195090323686600 ,
 0.956940352916718 , 0.290284663438797 , 0.989176511764526 , 0.146730467677116 ,
 0.956940352916718 , 0.290284663438797 , 0.903989315032959 , 0.427555084228516 ,
 0.980785250663757 , 0.195090323686600 , 0.923879504203796 , 0.382683426141739 ,
 0.831469595432281 , 0.555570244789124 , 0.970031261444092 , 0.242980182170868 ,
 0.881921291351318 , 0.471396744251251 , 0.740951120853424 , 0.671558976173401 ,
 0.956940352916718 , 0.290284663438797 , 0.831469595432281 , 0.555570244789124 ,
 0.634393274784088 , 0.773010432720184 , 0.941544055938721 , 0.336889863014221 ,
 0.773010432720184 , 0.634393274784088 , 0.514102756977081 , 0.857728600502014 ,
 0.923879504203796 , 0.382683426141739 , 0.707106769084930 , 0.707106769084930 ,
 0.382683426141739 , 0.923879504203796 , 0.903989315032959 , 0.427555084228516 ,
 0.634393274784088 , 0.773010432720184 , 0.242980182170868 , 0.970031261444092 ,
 0.881921291351318 , 0.471396744251251 , 0.555570244789124 , 0.831469595432281 ,
 0.098017141222954 , 0.995184719562531 , 0.857728600502014 , 0.514102756977081 ,
 0.471396744251251 , 0.881921291351318 ,-0.049067676067352 , 0.998795449733734 ,
 0.831469595432281 , 0.555570244789124 , 0.382683426141739 , 0.923879504203796 ,
-0.195090323686600 , 0.980785250663757 , 0.803207516670227 , 0.595699310302734 ,
 0.290284663438797 , 0.956940352916718 ,-0.336889863014221 , 0.941544055938721 ,
 0.773010432720184 , 0.634393274784088 , 0.195090323686600 , 0.980785250663757 ,
-0.471396744251251 , 0.881921291351318 , 0.740951120853424 , 0.671558976173401 ,
 0.098017141222954 , 0.995184719562531 ,-0.595699310302734 , 0.803207516670227 ,
 0.707106769084930 , 0.707106769084930 , 0.000000000000000 , 1.000000000000000 ,
-0.707106769084930 , 0.707106769084930 , 0.671558976173401 , 0.740951120853424 ,
-0.098017141222954 , 0.995184719562531 ,-0.803207516670227 , 0.595699310302734 ,
 0.634393274784088 , 0.773010432720184 ,-0.195090323686600 , 0.980785250663757 ,
-0.881921291351318 , 0.471396744251251 , 0.595699310302734 , 0.803207516670227 ,
-0.290284663438797 , 0.956940352916718 ,-0.941544055938721 , 0.336889863014221 ,
 0.555570244789124 , 0.831469595432281 ,-0.382683426141739 , 0.923879504203796 ,
-0.980785250663757 , 0.195090323686600 , 0.514102756977081 , 0.857728600502014 ,
-0.471396744251251 , 0.881921291351318 ,-0.998795449733734 , 0.049067676067352 ,
 0.471396744251251 , 0.881921291351318 ,-0.555570244789124 , 0.831469595432281 ,
-0.995184719562531 ,-0.098017141222954 , 0.427555084228516 , 0.903989315032959 ,
-0.634393274784088 , 0.773010432720184 ,-0.970031261444092 ,-0.242980182170868 ,
 0.382683426141739 , 0.923879504203796 ,-0.707106769084930 , 0.707106769084930 ,
-0.923879504203796 ,-0.382683426141739 , 0.336889863014221 , 0.941544055938721 ,
-0.773010432720184 , 0.634393274784088 ,-0.857728600502014 ,-0.514102756977081 ,
 0.290284663438797 , 0.956940352916718 ,-0.831469595432281 , 0.555570244789124 ,
-0.773010432720184 ,-0.634393274784088 , 0.242980182170868 , 0.970031261444092 ,
-0.881921291351318 , 0.471396744251251 ,-0.671558976173401 ,-0.740951120853424 ,
 0.195090323686600 , 0.980785250663757 ,-0.923879504203796 , 0.382683426141739 ,
-0.555570244789124 ,-0.831469595432281 , 0.146730467677116 , 0.989176511764526 ,
-0.956940352916718 , 0.290284663438797 ,-0.427555084228516 ,-0.903989315032959 ,
 0.098017141222954 , 0.995184719562531 ,-0.980785250663757 , 0.195090323686600 ,
-0.290284663438797 ,-0.956940352916718 , 0.049067676067352 , 0.998795449733734 ,
-0.995184719562531 , 0.098017141222954 ,-0.146730467677116 ,-0.989176511764526 ,
 1.000000000000000 , 0.000000000000000 , 1.000000000000000 , 0.000000000000000 ,
 1.000000000000000 , 0.000000000000000 , 0.980785250663757 , 0.195090323686600 ,
 0.923879504203796 , 0.382683426141739 , 0.831469595432281 , 0.555570244789124 ,
 0.923879504203796 , 0.382683426141739 , 0.707106769084930 , 0.707106769084930 ,
 0.382683426141739 , 0.923879504203796 , 0.831469595432281 , 0.555570244789124 ,
 0.382683426141739 , 0.923879504203796 ,-0.195090323686600 , 0.980785250663757 ,
 0.707106769084930 , 0.707106769084930 , 0.000000000000000 , 1.000000000000000 ,
-0.707106769084930 , 0.707106769084930 , 0.555570244789124 , 0.831469595432281 ,
-0.382683426141739 , 0.923879504203796 ,-0.980785250663757 , 0.195090323686600 ,
 0.382683426141739 , 0.923879504203796 ,-0.707106769084930 , 0.707106769084930 ,
-0.923879504203796 ,-0.382683426141739 , 0.195090323686600 , 0.980785250663757 ,
-0.923879504203796 , 0.382683426141739 ,-0.555570244789124 ,-0.831469595432281 ,
 1.000000000000000 , 0.000000000000000 , 1.000000000000000 , 0.000000000000000 ,
 1.000000000000000 , 0.000000000000000 , 0.707106769084930 , 0.707106769084930 ,
 0.000000000000000 , 1.000000000000000 ,-0.707106769084930 , 0.707106769084930 ,
 0.000000000000000 , 0.000000000000000 , 0.000000000000000 , 0.000000000000000 ,
};

#pragma DATA_ALIGN (twiddle_1024 , 8);
const float twiddle_1024[] = 
{
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.999981164932251 ,  0.006135884672403 , 
 0.999924719333649 ,  0.012271538376808 ,  0.999830603599548 ,  0.018406730145216 , 
 0.999924719333649 ,  0.012271538376808 ,  0.999698817729950 ,  0.024541229009628 , 
 0.999322354793549 ,  0.036807224154472 ,  0.999830603599548 ,  0.018406730145216 , 
 0.999322354793549 ,  0.036807224154472 ,  0.998475551605225 ,  0.055195245891809 , 
 0.999698817729950 ,  0.024541229009628 ,  0.998795449733734 ,  0.049067676067352 , 
 0.997290432453156 ,  0.073564566671848 ,  0.999529421329498 ,  0.030674804002047 , 
 0.998118102550507 ,  0.061320737004280 ,  0.995767414569855 ,  0.091908954083920 , 
 0.999322354793549 ,  0.036807224154472 ,  0.997290432453156 ,  0.073564566671848 , 
 0.993906974792480 ,  0.110222205519676 ,  0.999077737331390 ,  0.042938258498907 , 
 0.996312618255615 ,  0.085797309875488 ,  0.991709768772125 ,  0.128498107194901 , 
 0.998795449733734 ,  0.049067676067352 ,  0.995184719562531 ,  0.098017141222954 , 
 0.989176511764526 ,  0.146730467677116 ,  0.998475551605225 ,  0.055195245891809 , 
 0.993906974792480 ,  0.110222205519676 ,  0.986308097839355 ,  0.164913117885590 , 
 0.998118102550507 ,  0.061320737004280 ,  0.992479562759399 ,  0.122410677373409 , 
 0.983105480670929 ,  0.183039888739586 ,  0.997723042964935 ,  0.067443922162056 , 
 0.990902662277222 ,  0.134580701589584 ,  0.979569792747498 ,  0.201104640960693 , 
 0.997290432453156 ,  0.073564566671848 ,  0.989176511764526 ,  0.146730467677116 , 
 0.975702106952667 ,  0.219101235270500 ,  0.996820271015167 ,  0.079682439565659 , 
 0.987301409244537 ,  0.158858150243759 ,  0.971503913402557 ,  0.237023606896400 , 
 0.996312618255615 ,  0.085797309875488 ,  0.985277652740479 ,  0.170961886644363 , 
 0.966976463794708 ,  0.254865646362305 ,  0.995767414569855 ,  0.091908954083920 , 
 0.983105480670929 ,  0.183039888739586 ,  0.962121427059174 ,  0.272621363401413 , 
 0.995184719562531 ,  0.098017141222954 ,  0.980785250663757 ,  0.195090323686600 , 
 0.956940352916718 ,  0.290284663438797 ,  0.994564592838287 ,  0.104121632874012 , 
 0.978317379951477 ,  0.207111373543739 ,  0.951435029506683 ,  0.307849645614624 , 
 0.993906974792480 ,  0.110222205519676 ,  0.975702106952667 ,  0.219101235270500 , 
 0.945607304573059 ,  0.325310289859772 ,  0.993211925029755 ,  0.116318628191948 , 
 0.972939968109131 ,  0.231058105826378 ,  0.939459204673767 ,  0.342660725116730 , 
 0.992479562759399 ,  0.122410677373409 ,  0.970031261444092 ,  0.242980182170868 , 
 0.932992815971375 ,  0.359895050525665 ,  0.991709768772125 ,  0.128498107194901 , 
 0.966976463794708 ,  0.254865646362305 ,  0.926210224628448 ,  0.377007424831390 , 
 0.990902662277222 ,  0.134580701589584 ,  0.963776051998138 ,  0.266712754964828 , 
 0.919113874435425 ,  0.393992036581039 ,  0.990058183670044 ,  0.140658244490623 , 
 0.960430502891541 ,  0.278519690036774 ,  0.911706030368805 ,  0.410843163728714 , 
 0.989176511764526 ,  0.146730467677116 ,  0.956940352916718 ,  0.290284663438797 , 
 0.903989315032959 ,  0.427555084228516 ,  0.988257586956024 ,  0.152797192335129 , 
 0.953306019306183 ,  0.302005946636200 ,  0.895966231822968 ,  0.444122135639191 , 
 0.987301409244537 ,  0.158858150243759 ,  0.949528157711029 ,  0.313681751489639 , 
 0.887639641761780 ,  0.460538715124130 ,  0.986308097839355 ,  0.164913117885590 , 
 0.945607304573059 ,  0.325310289859772 ,  0.879012227058411 ,  0.476799219846725 , 
 0.985277652740479 ,  0.170961886644363 ,  0.941544055938721 ,  0.336889863014221 , 
 0.870086967945099 ,  0.492898195981979 ,  0.984210073947906 ,  0.177004218101501 , 
 0.937339007854462 ,  0.348418682813644 ,  0.860866963863373 ,  0.508830130100250 , 
 0.983105480670929 ,  0.183039888739586 ,  0.932992815971375 ,  0.359895050525665 , 
 0.851355195045471 ,  0.524589657783508 ,  0.981963872909546 ,  0.189068660140038 , 
 0.928506076335907 ,  0.371317207813263 ,  0.841554999351501 ,  0.540171444416046 , 
 0.980785250663757 ,  0.195090323686600 ,  0.923879504203796 ,  0.382683426141739 , 
 0.831469595432281 ,  0.555570244789124 ,  0.979569792747498 ,  0.201104640960693 , 
 0.919113874435425 ,  0.393992036581039 ,  0.821102499961853 ,  0.570780754089355 , 
 0.978317379951477 ,  0.207111373543739 ,  0.914209783077240 ,  0.405241310596466 , 
 0.810457170009613 ,  0.585797846317291 ,  0.977028131484985 ,  0.213110312819481 , 
 0.909168004989624 ,  0.416429549455643 ,  0.799537241458893 ,  0.600616455078125 , 
 0.975702106952667 ,  0.219101235270500 ,  0.903989315032959 ,  0.427555084228516 , 
 0.788346409797668 ,  0.615231573581696 ,  0.974339365959167 ,  0.225083917379379 , 
 0.898674488067627 ,  0.438616245985031 ,  0.776888489723206 ,  0.629638254642487 , 
 0.972939968109131 ,  0.231058105826378 ,  0.893224298954010 ,  0.449611335992813 , 
 0.765167236328125 ,  0.643831551074982 ,  0.971503913402557 ,  0.237023606896400 , 
 0.887639641761780 ,  0.460538715124130 ,  0.753186821937561 ,  0.657806694507599 , 
 0.970031261444092 ,  0.242980182170868 ,  0.881921291351318 ,  0.471396744251251 , 
 0.740951120853424 ,  0.671558976173401 ,  0.968522071838379 ,  0.248927608132362 , 
 0.876070082187653 ,  0.482183784246445 ,  0.728464365005493 ,  0.685083687305450 , 
 0.966976463794708 ,  0.254865646362305 ,  0.870086967945099 ,  0.492898195981979 , 
 0.715730845928192 ,  0.698376238346100 ,  0.965394437313080 ,  0.260794103145599 , 
 0.863972842693329 ,  0.503538370132446 ,  0.702754735946655 ,  0.711432218551636 , 
 0.963776051998138 ,  0.266712754964828 ,  0.857728600502014 ,  0.514102756977081 , 
 0.689540565013885 ,  0.724247097969055 ,  0.962121427059174 ,  0.272621363401413 , 
 0.851355195045471 ,  0.524589657783508 ,  0.676092684268951 ,  0.736816585063934 , 
 0.960430502891541 ,  0.278519690036774 ,  0.844853579998016 ,  0.534997642040253 , 
 0.662415802478790 ,  0.749136388301849 ,  0.958703458309174 ,  0.284407526254654 , 
 0.838224709033966 ,  0.545324981212616 ,  0.648514389991760 ,  0.761202394962311 , 
 0.956940352916718 ,  0.290284663438797 ,  0.831469595432281 ,  0.555570244789124 , 
 0.634393274784088 ,  0.773010432720184 ,  0.955141186714172 ,  0.296150892972946 , 
 0.824589312076569 ,  0.565731823444366 ,  0.620057225227356 ,  0.784556567668915 , 
 0.953306019306183 ,  0.302005946636200 ,  0.817584812641144 ,  0.575808167457581 , 
 0.605511069297791 ,  0.795836925506592 ,  0.951435029506683 ,  0.307849645614624 , 
 0.810457170009613 ,  0.585797846317291 ,  0.590759694576263 ,  0.806847572326660 , 
 0.949528157711029 ,  0.313681751489639 ,  0.803207516670227 ,  0.595699310302734 , 
 0.575808167457581 ,  0.817584812641144 ,  0.947585582733154 ,  0.319502025842667 , 
 0.795836925506592 ,  0.605511069297791 ,  0.560661554336548 ,  0.828045070171356 , 
 0.945607304573059 ,  0.325310289859772 ,  0.788346409797668 ,  0.615231573581696 , 
 0.545324981212616 ,  0.838224709033966 ,  0.943593442440033 ,  0.331106305122375 , 
 0.780737221240997 ,  0.624859511852264 ,  0.529803633689880 ,  0.848120331764221 , 
 0.941544055938721 ,  0.336889863014221 ,  0.773010432720184 ,  0.634393274784088 , 
 0.514102756977081 ,  0.857728600502014 ,  0.939459204673767 ,  0.342660725116730 , 
 0.765167236328125 ,  0.643831551074982 ,  0.498227655887604 ,  0.867046236991882 , 
 0.937339007854462 ,  0.348418682813644 ,  0.757208824157715 ,  0.653172850608826 , 
 0.482183784246445 ,  0.876070082187653 ,  0.935183525085449 ,  0.354163527488708 , 
 0.749136388301849 ,  0.662415802478790 ,  0.465976506471634 ,  0.884797096252441 , 
 0.932992815971375 ,  0.359895050525665 ,  0.740951120853424 ,  0.671558976173401 , 
 0.449611335992813 ,  0.893224298954010 ,  0.930766940116882 ,  0.365612983703613 , 
 0.732654273509979 ,  0.680601000785828 ,  0.433093816041946 ,  0.901348829269409 , 
 0.928506076335907 ,  0.371317207813263 ,  0.724247097969055 ,  0.689540565013885 , 
 0.416429549455643 ,  0.909168004989624 ,  0.926210224628448 ,  0.377007424831390 , 
 0.715730845928192 ,  0.698376238346100 ,  0.399624198675156 ,  0.916679084300995 , 
 0.923879504203796 ,  0.382683426141739 ,  0.707106769084930 ,  0.707106769084930 , 
 0.382683426141739 ,  0.923879504203796 ,  0.921514034271240 ,  0.388345032930374 , 
 0.698376238346100 ,  0.715730845928192 ,  0.365612983703613 ,  0.930766940116882 , 
 0.919113874435425 ,  0.393992036581039 ,  0.689540565013885 ,  0.724247097969055 , 
 0.348418682813644 ,  0.937339007854462 ,  0.916679084300995 ,  0.399624198675156 , 
 0.680601000785828 ,  0.732654273509979 ,  0.331106305122375 ,  0.943593442440033 , 
 0.914209783077240 ,  0.405241310596466 ,  0.671558976173401 ,  0.740951120853424 , 
 0.313681751489639 ,  0.949528157711029 ,  0.911706030368805 ,  0.410843163728714 , 
 0.662415802478790 ,  0.749136388301849 ,  0.296150892972946 ,  0.955141186714172 , 
 0.909168004989624 ,  0.416429549455643 ,  0.653172850608826 ,  0.757208824157715 , 
 0.278519690036774 ,  0.960430502891541 ,  0.906595706939697 ,  0.422000259160995 , 
 0.643831551074982 ,  0.765167236328125 ,  0.260794103145599 ,  0.965394437313080 , 
 0.903989315032959 ,  0.427555084228516 ,  0.634393274784088 ,  0.773010432720184 , 
 0.242980182170868 ,  0.970031261444092 ,  0.901348829269409 ,  0.433093816041946 , 
 0.624859511852264 ,  0.780737221240997 ,  0.225083917379379 ,  0.974339365959167 , 
 0.898674488067627 ,  0.438616245985031 ,  0.615231573581696 ,  0.788346409797668 , 
 0.207111373543739 ,  0.978317379951477 ,  0.895966231822968 ,  0.444122135639191 , 
 0.605511069297791 ,  0.795836925506592 ,  0.189068660140038 ,  0.981963872909546 , 
 0.893224298954010 ,  0.449611335992813 ,  0.595699310302734 ,  0.803207516670227 , 
 0.170961886644363 ,  0.985277652740479 ,  0.890448749065399 ,  0.455083578824997 , 
 0.585797846317291 ,  0.810457170009613 ,  0.152797192335129 ,  0.988257586956024 , 
 0.887639641761780 ,  0.460538715124130 ,  0.575808167457581 ,  0.817584812641144 , 
 0.134580701589584 ,  0.990902662277222 ,  0.884797096252441 ,  0.465976506471634 , 
 0.565731823444366 ,  0.824589312076569 ,  0.116318628191948 ,  0.993211925029755 , 
 0.881921291351318 ,  0.471396744251251 ,  0.555570244789124 ,  0.831469595432281 , 
 0.098017141222954 ,  0.995184719562531 ,  0.879012227058411 ,  0.476799219846725 , 
 0.545324981212616 ,  0.838224709033966 ,  0.079682439565659 ,  0.996820271015167 , 
 0.876070082187653 ,  0.482183784246445 ,  0.534997642040253 ,  0.844853579998016 , 
 0.061320737004280 ,  0.998118102550507 ,  0.873094975948334 ,  0.487550169229507 , 
 0.524589657783508 ,  0.851355195045471 ,  0.042938258498907 ,  0.999077737331390 , 
 0.870086967945099 ,  0.492898195981979 ,  0.514102756977081 ,  0.857728600502014 , 
 0.024541229009628 ,  0.999698817729950 ,  0.867046236991882 ,  0.498227655887604 , 
 0.503538370132446 ,  0.863972842693329 ,  0.006135884672403 ,  0.999981164932251 , 
 0.863972842693329 ,  0.503538370132446 ,  0.492898195981979 ,  0.870086967945099 , 
-0.012271538376808 ,  0.999924719333649 ,  0.860866963863373 ,  0.508830130100250 , 
 0.482183784246445 ,  0.876070082187653 , -0.030674804002047 ,  0.999529421329498 , 
 0.857728600502014 ,  0.514102756977081 ,  0.471396744251251 ,  0.881921291351318 , 
-0.049067676067352 ,  0.998795449733734 ,  0.854557991027832 ,  0.519356012344360 , 
 0.460538715124130 ,  0.887639641761780 , -0.067443922162056 ,  0.997723042964935 , 
 0.851355195045471 ,  0.524589657783508 ,  0.449611335992813 ,  0.893224298954010 , 
-0.085797309875488 ,  0.996312618255615 ,  0.848120331764221 ,  0.529803633689880 , 
 0.438616245985031 ,  0.898674488067627 , -0.104121632874012 ,  0.994564592838287 , 
 0.844853579998016 ,  0.534997642040253 ,  0.427555084228516 ,  0.903989315032959 , 
-0.122410677373409 ,  0.992479562759399 ,  0.841554999351501 ,  0.540171444416046 , 
 0.416429549455643 ,  0.909168004989624 , -0.140658244490623 ,  0.990058183670044 , 
 0.838224709033966 ,  0.545324981212616 ,  0.405241310596466 ,  0.914209783077240 , 
-0.158858150243759 ,  0.987301409244537 ,  0.834862887859344 ,  0.550457954406738 , 
 0.393992036581039 ,  0.919113874435425 , -0.177004218101501 ,  0.984210073947906 , 
 0.831469595432281 ,  0.555570244789124 ,  0.382683426141739 ,  0.923879504203796 , 
-0.195090323686600 ,  0.980785250663757 ,  0.828045070171356 ,  0.560661554336548 , 
 0.371317207813263 ,  0.928506076335907 , -0.213110312819481 ,  0.977028131484985 , 
 0.824589312076569 ,  0.565731823444366 ,  0.359895050525665 ,  0.932992815971375 , 
-0.231058105826378 ,  0.972939968109131 ,  0.821102499961853 ,  0.570780754089355 , 
 0.348418682813644 ,  0.937339007854462 , -0.248927608132362 ,  0.968522071838379 , 
 0.817584812641144 ,  0.575808167457581 ,  0.336889863014221 ,  0.941544055938721 , 
-0.266712754964828 ,  0.963776051998138 ,  0.814036309719086 ,  0.580813944339752 , 
 0.325310289859772 ,  0.945607304573059 , -0.284407526254654 ,  0.958703458309174 , 
 0.810457170009613 ,  0.585797846317291 ,  0.313681751489639 ,  0.949528157711029 , 
-0.302005946636200 ,  0.953306019306183 ,  0.806847572326660 ,  0.590759694576263 , 
 0.302005946636200 ,  0.953306019306183 , -0.319502025842667 ,  0.947585582733154 , 
 0.803207516670227 ,  0.595699310302734 ,  0.290284663438797 ,  0.956940352916718 , 
-0.336889863014221 ,  0.941544055938721 ,  0.799537241458893 ,  0.600616455078125 , 
 0.278519690036774 ,  0.960430502891541 , -0.354163527488708 ,  0.935183525085449 , 
 0.795836925506592 ,  0.605511069297791 ,  0.266712754964828 ,  0.963776051998138 , 
-0.371317207813263 ,  0.928506076335907 ,  0.792106568813324 ,  0.610382795333862 , 
 0.254865646362305 ,  0.966976463794708 , -0.388345032930374 ,  0.921514034271240 , 
 0.788346409797668 ,  0.615231573581696 ,  0.242980182170868 ,  0.970031261444092 , 
-0.405241310596466 ,  0.914209783077240 ,  0.784556567668915 ,  0.620057225227356 , 
 0.231058105826378 ,  0.972939968109131 , -0.422000259160995 ,  0.906595706939697 , 
 0.780737221240997 ,  0.624859511852264 ,  0.219101235270500 ,  0.975702106952667 , 
-0.438616245985031 ,  0.898674488067627 ,  0.776888489723206 ,  0.629638254642487 , 
 0.207111373543739 ,  0.978317379951477 , -0.455083578824997 ,  0.890448749065399 , 
 0.773010432720184 ,  0.634393274784088 ,  0.195090323686600 ,  0.980785250663757 , 
-0.471396744251251 ,  0.881921291351318 ,  0.769103348255157 ,  0.639124453067780 , 
 0.183039888739586 ,  0.983105480670929 , -0.487550169229507 ,  0.873094975948334 , 
 0.765167236328125 ,  0.643831551074982 ,  0.170961886644363 ,  0.985277652740479 , 
-0.503538370132446 ,  0.863972842693329 ,  0.761202394962311 ,  0.648514389991760 , 
 0.158858150243759 ,  0.987301409244537 , -0.519356012344360 ,  0.854557991027832 , 
 0.757208824157715 ,  0.653172850608826 ,  0.146730467677116 ,  0.989176511764526 , 
-0.534997642040253 ,  0.844853579998016 ,  0.753186821937561 ,  0.657806694507599 , 
 0.134580701589584 ,  0.990902662277222 , -0.550457954406738 ,  0.834862887859344 , 
 0.749136388301849 ,  0.662415802478790 ,  0.122410677373409 ,  0.992479562759399 , 
-0.565731823444366 ,  0.824589312076569 ,  0.745057761669159 ,  0.666999936103821 , 
 0.110222205519676 ,  0.993906974792480 , -0.580813944339752 ,  0.814036309719086 , 
 0.740951120853424 ,  0.671558976173401 ,  0.098017141222954 ,  0.995184719562531 , 
-0.595699310302734 ,  0.803207516670227 ,  0.736816585063934 ,  0.676092684268951 , 
 0.085797309875488 ,  0.996312618255615 , -0.610382795333862 ,  0.792106568813324 , 
 0.732654273509979 ,  0.680601000785828 ,  0.073564566671848 ,  0.997290432453156 , 
-0.624859511852264 ,  0.780737221240997 ,  0.728464365005493 ,  0.685083687305450 , 
 0.061320737004280 ,  0.998118102550507 , -0.639124453067780 ,  0.769103348255157 , 
 0.724247097969055 ,  0.689540565013885 ,  0.049067672342062 ,  0.998795449733734 , 
-0.653172850608826 ,  0.757208824157715 ,  0.720002532005310 ,  0.693971455097198 , 
 0.036807224154472 ,  0.999322354793549 , -0.666999936103821 ,  0.745057761669159 , 
 0.715730845928192 ,  0.698376238346100 ,  0.024541229009628 ,  0.999698817729950 , 
-0.680601000785828 ,  0.732654273509979 ,  0.711432218551636 ,  0.702754735946655 , 
 0.012271538376808 ,  0.999924719333649 , -0.693971455097198 ,  0.720002532005310 , 
 0.707106769084930 ,  0.707106769084930 , -0.000000000205103 ,  1.000000000000000 , 
-0.707106769084930 ,  0.707106769084930 ,  0.702754735946655 ,  0.711432218551636 , 
-0.012271538376808 ,  0.999924719333649 , -0.720002532005310 ,  0.693971455097198 , 
 0.698376238346100 ,  0.715730845928192 , -0.024541229009628 ,  0.999698817729950 , 
-0.732654273509979 ,  0.680601000785828 ,  0.693971455097198 ,  0.720002532005310 , 
-0.036807224154472 ,  0.999322354793549 , -0.745057761669159 ,  0.666999936103821 , 
 0.689540565013885 ,  0.724247097969055 , -0.049067676067352 ,  0.998795449733734 , 
-0.757208824157715 ,  0.653172850608826 ,  0.685083687305450 ,  0.728464365005493 , 
-0.061320737004280 ,  0.998118102550507 , -0.769103348255157 ,  0.639124453067780 , 
 0.680601000785828 ,  0.732654273509979 , -0.073564566671848 ,  0.997290432453156 , 
-0.780737221240997 ,  0.624859511852264 ,  0.676092684268951 ,  0.736816585063934 , 
-0.085797309875488 ,  0.996312618255615 , -0.792106568813324 ,  0.610382795333862 , 
 0.671558976173401 ,  0.740951120853424 , -0.098017141222954 ,  0.995184719562531 , 
-0.803207516670227 ,  0.595699310302734 ,  0.666999936103821 ,  0.745057761669159 , 
-0.110222205519676 ,  0.993906974792480 , -0.814036309719086 ,  0.580813944339752 , 
 0.662415802478790 ,  0.749136388301849 , -0.122410677373409 ,  0.992479562759399 , 
-0.824589312076569 ,  0.565731823444366 ,  0.657806694507599 ,  0.753186821937561 , 
-0.134580701589584 ,  0.990902662277222 , -0.834862887859344 ,  0.550457954406738 , 
 0.653172850608826 ,  0.757208824157715 , -0.146730467677116 ,  0.989176511764526 , 
-0.844853579998016 ,  0.534997642040253 ,  0.648514389991760 ,  0.761202394962311 , 
-0.158858150243759 ,  0.987301409244537 , -0.854557991027832 ,  0.519356012344360 , 
 0.643831551074982 ,  0.765167236328125 , -0.170961886644363 ,  0.985277652740479 , 
-0.863972842693329 ,  0.503538370132446 ,  0.639124453067780 ,  0.769103348255157 , 
-0.183039888739586 ,  0.983105480670929 , -0.873094975948334 ,  0.487550169229507 , 
 0.634393274784088 ,  0.773010432720184 , -0.195090323686600 ,  0.980785250663757 , 
-0.881921291351318 ,  0.471396744251251 ,  0.629638254642487 ,  0.776888489723206 , 
-0.207111373543739 ,  0.978317379951477 , -0.890448749065399 ,  0.455083578824997 , 
 0.624859511852264 ,  0.780737221240997 , -0.219101235270500 ,  0.975702106952667 , 
-0.898674488067627 ,  0.438616245985031 ,  0.620057225227356 ,  0.784556567668915 , 
-0.231058105826378 ,  0.972939968109131 , -0.906595706939697 ,  0.422000259160995 , 
 0.615231573581696 ,  0.788346409797668 , -0.242980182170868 ,  0.970031261444092 , 
-0.914209783077240 ,  0.405241310596466 ,  0.610382795333862 ,  0.792106568813324 , 
-0.254865646362305 ,  0.966976463794708 , -0.921514034271240 ,  0.388345032930374 , 
 0.605511069297791 ,  0.795836925506592 , -0.266712754964828 ,  0.963776051998138 , 
-0.928506076335907 ,  0.371317207813263 ,  0.600616455078125 ,  0.799537241458893 , 
-0.278519690036774 ,  0.960430502891541 , -0.935183525085449 ,  0.354163527488708 , 
 0.595699310302734 ,  0.803207516670227 , -0.290284663438797 ,  0.956940352916718 , 
-0.941544055938721 ,  0.336889863014221 ,  0.590759694576263 ,  0.806847572326660 , 
-0.302005946636200 ,  0.953306019306183 , -0.947585582733154 ,  0.319502025842667 , 
 0.585797846317291 ,  0.810457170009613 , -0.313681751489639 ,  0.949528157711029 , 
-0.953306019306183 ,  0.302005946636200 ,  0.580813944339752 ,  0.814036309719086 , 
-0.325310289859772 ,  0.945607304573059 , -0.958703458309174 ,  0.284407526254654 , 
 0.575808167457581 ,  0.817584812641144 , -0.336889863014221 ,  0.941544055938721 , 
-0.963776051998138 ,  0.266712754964828 ,  0.570780754089355 ,  0.821102499961853 , 
-0.348418682813644 ,  0.937339007854462 , -0.968522071838379 ,  0.248927608132362 , 
 0.565731823444366 ,  0.824589312076569 , -0.359895050525665 ,  0.932992815971375 , 
-0.972939968109131 ,  0.231058105826378 ,  0.560661554336548 ,  0.828045070171356 , 
-0.371317207813263 ,  0.928506076335907 , -0.977028131484985 ,  0.213110312819481 , 
 0.555570244789124 ,  0.831469595432281 , -0.382683426141739 ,  0.923879504203796 , 
-0.980785310268402 ,  0.195090323686600 ,  0.550457954406738 ,  0.834862887859344 , 
-0.393992036581039 ,  0.919113874435425 , -0.984210073947906 ,  0.177004218101501 , 
 0.545324981212616 ,  0.838224709033966 , -0.405241310596466 ,  0.914209783077240 , 
-0.987301409244537 ,  0.158858150243759 ,  0.540171444416046 ,  0.841554999351501 , 
-0.416429549455643 ,  0.909168004989624 , -0.990058183670044 ,  0.140658244490623 , 
 0.534997642040253 ,  0.844853579998016 , -0.427555084228516 ,  0.903989315032959 , 
-0.992479562759399 ,  0.122410677373409 ,  0.529803633689880 ,  0.848120331764221 , 
-0.438616245985031 ,  0.898674488067627 , -0.994564592838287 ,  0.104121632874012 , 
 0.524589657783508 ,  0.851355195045471 , -0.449611335992813 ,  0.893224298954010 , 
-0.996312618255615 ,  0.085797309875488 ,  0.519356012344360 ,  0.854557991027832 , 
-0.460538715124130 ,  0.887639641761780 , -0.997723042964935 ,  0.067443922162056 , 
 0.514102756977081 ,  0.857728600502014 , -0.471396744251251 ,  0.881921291351318 , 
-0.998795449733734 ,  0.049067672342062 ,  0.508830130100250 ,  0.860866963863373 , 
-0.482183784246445 ,  0.876070082187653 , -0.999529421329498 ,  0.030674802139401 , 
 0.503538370132446 ,  0.863972842693329 , -0.492898195981979 ,  0.870086967945099 , 
-0.999924719333649 ,  0.012271537445486 ,  0.498227655887604 ,  0.867046236991882 , 
-0.503538370132446 ,  0.863972842693329 , -0.999981164932251 , -0.006135885138065 , 
 0.492898195981979 ,  0.870086967945099 , -0.514102756977081 ,  0.857728600502014 , 
-0.999698817729950 , -0.024541229009628 ,  0.487550169229507 ,  0.873094975948334 , 
-0.524589657783508 ,  0.851355195045471 , -0.999077737331390 , -0.042938258498907 , 
 0.482183784246445 ,  0.876070082187653 , -0.534997642040253 ,  0.844853579998016 , 
-0.998118102550507 , -0.061320737004280 ,  0.476799219846725 ,  0.879012227058411 , 
-0.545324981212616 ,  0.838224709033966 , -0.996820271015167 , -0.079682439565659 , 
 0.471396744251251 ,  0.881921291351318 , -0.555570244789124 ,  0.831469595432281 , 
-0.995184719562531 , -0.098017141222954 ,  0.465976506471634 ,  0.884797096252441 , 
-0.565731823444366 ,  0.824589312076569 , -0.993211925029755 , -0.116318628191948 , 
 0.460538715124130 ,  0.887639641761780 , -0.575808167457581 ,  0.817584812641144 , 
-0.990902662277222 , -0.134580701589584 ,  0.455083578824997 ,  0.890448749065399 , 
-0.585797846317291 ,  0.810457170009613 , -0.988257586956024 , -0.152797192335129 , 
 0.449611335992813 ,  0.893224298954010 , -0.595699310302734 ,  0.803207516670227 , 
-0.985277652740479 , -0.170961886644363 ,  0.444122135639191 ,  0.895966231822968 , 
-0.605511069297791 ,  0.795836925506592 , -0.981963872909546 , -0.189068660140038 , 
 0.438616245985031 ,  0.898674488067627 , -0.615231573581696 ,  0.788346409797668 , 
-0.978317379951477 , -0.207111373543739 ,  0.433093816041946 ,  0.901348829269409 , 
-0.624859511852264 ,  0.780737221240997 , -0.974339365959167 , -0.225083917379379 , 
 0.427555084228516 ,  0.903989315032959 , -0.634393274784088 ,  0.773010432720184 , 
-0.970031261444092 , -0.242980182170868 ,  0.422000259160995 ,  0.906595706939697 , 
-0.643831551074982 ,  0.765167236328125 , -0.965394437313080 , -0.260794132947922 , 
 0.416429549455643 ,  0.909168004989624 , -0.653172850608826 ,  0.757208824157715 , 
-0.960430502891541 , -0.278519690036774 ,  0.410843163728714 ,  0.911706030368805 , 
-0.662415802478790 ,  0.749136388301849 , -0.955141186714172 , -0.296150892972946 , 
 0.405241310596466 ,  0.914209783077240 , -0.671558976173401 ,  0.740951120853424 , 
-0.949528157711029 , -0.313681751489639 ,  0.399624198675156 ,  0.916679084300995 , 
-0.680601000785828 ,  0.732654273509979 , -0.943593442440033 , -0.331106305122375 , 
 0.393992036581039 ,  0.919113874435425 , -0.689540565013885 ,  0.724247097969055 , 
-0.937339007854462 , -0.348418682813644 ,  0.388345032930374 ,  0.921514034271240 , 
-0.698376238346100 ,  0.715730845928192 , -0.930766940116882 , -0.365612983703613 , 
 0.382683426141739 ,  0.923879504203796 , -0.707106769084930 ,  0.707106769084930 , 
-0.923879504203796 , -0.382683426141739 ,  0.377007424831390 ,  0.926210224628448 , 
-0.715730845928192 ,  0.698376238346100 , -0.916679084300995 , -0.399624198675156 , 
 0.371317207813263 ,  0.928506076335907 , -0.724247097969055 ,  0.689540565013885 , 
-0.909168004989624 , -0.416429549455643 ,  0.365612983703613 ,  0.930766940116882 , 
-0.732654273509979 ,  0.680601000785828 , -0.901348829269409 , -0.433093816041946 , 
 0.359895050525665 ,  0.932992815971375 , -0.740951120853424 ,  0.671558976173401 , 
-0.893224298954010 , -0.449611335992813 ,  0.354163527488708 ,  0.935183525085449 , 
-0.749136388301849 ,  0.662415802478790 , -0.884797096252441 , -0.465976506471634 , 
 0.348418682813644 ,  0.937339007854462 , -0.757208824157715 ,  0.653172850608826 , 
-0.876070082187653 , -0.482183784246445 ,  0.342660725116730 ,  0.939459204673767 , 
-0.765167236328125 ,  0.643831551074982 , -0.867046236991882 , -0.498227655887604 , 
 0.336889863014221 ,  0.941544055938721 , -0.773010432720184 ,  0.634393274784088 , 
-0.857728600502014 , -0.514102756977081 ,  0.331106305122375 ,  0.943593442440033 , 
-0.780737221240997 ,  0.624859511852264 , -0.848120331764221 , -0.529803633689880 , 
 0.325310289859772 ,  0.945607304573059 , -0.788346409797668 ,  0.615231573581696 , 
-0.838224709033966 , -0.545324981212616 ,  0.319502025842667 ,  0.947585582733154 , 
-0.795836925506592 ,  0.605511069297791 , -0.828045070171356 , -0.560661554336548 , 
 0.313681751489639 ,  0.949528157711029 , -0.803207516670227 ,  0.595699310302734 , 
-0.817584812641144 , -0.575808167457581 ,  0.307849645614624 ,  0.951435029506683 , 
-0.810457170009613 ,  0.585797846317291 , -0.806847572326660 , -0.590759694576263 , 
 0.302005946636200 ,  0.953306019306183 , -0.817584812641144 ,  0.575808167457581 , 
-0.795836925506592 , -0.605511069297791 ,  0.296150892972946 ,  0.955141186714172 , 
-0.824589312076569 ,  0.565731823444366 , -0.784556567668915 , -0.620057225227356 , 
 0.290284663438797 ,  0.956940352916718 , -0.831469595432281 ,  0.555570244789124 , 
-0.773010432720184 , -0.634393274784088 ,  0.284407526254654 ,  0.958703458309174 , 
-0.838224709033966 ,  0.545324981212616 , -0.761202394962311 , -0.648514389991760 , 
 0.278519690036774 ,  0.960430502891541 , -0.844853579998016 ,  0.534997642040253 , 
-0.749136388301849 , -0.662415802478790 ,  0.272621363401413 ,  0.962121427059174 , 
-0.851355195045471 ,  0.524589657783508 , -0.736816585063934 , -0.676092684268951 , 
 0.266712754964828 ,  0.963776051998138 , -0.857728600502014 ,  0.514102756977081 , 
-0.724247097969055 , -0.689540565013885 ,  0.260794103145599 ,  0.965394437313080 , 
-0.863972842693329 ,  0.503538370132446 , -0.711432218551636 , -0.702754735946655 , 
 0.254865646362305 ,  0.966976463794708 , -0.870086967945099 ,  0.492898195981979 , 
-0.698376238346100 , -0.715730845928192 ,  0.248927608132362 ,  0.968522071838379 , 
-0.876070082187653 ,  0.482183784246445 , -0.685083687305450 , -0.728464365005493 , 
 0.242980182170868 ,  0.970031261444092 , -0.881921291351318 ,  0.471396744251251 , 
-0.671558976173401 , -0.740951120853424 ,  0.237023606896400 ,  0.971503913402557 , 
-0.887639641761780 ,  0.460538715124130 , -0.657806694507599 , -0.753186821937561 , 
 0.231058105826378 ,  0.972939968109131 , -0.893224298954010 ,  0.449611335992813 , 
-0.643831551074982 , -0.765167236328125 ,  0.225083917379379 ,  0.974339365959167 , 
-0.898674488067627 ,  0.438616245985031 , -0.629638254642487 , -0.776888489723206 , 
 0.219101235270500 ,  0.975702106952667 , -0.903989315032959 ,  0.427555084228516 , 
-0.615231573581696 , -0.788346409797668 ,  0.213110312819481 ,  0.977028131484985 , 
-0.909168004989624 ,  0.416429549455643 , -0.600616455078125 , -0.799537241458893 , 
 0.207111373543739 ,  0.978317379951477 , -0.914209783077240 ,  0.405241310596466 , 
-0.585797846317291 , -0.810457170009613 ,  0.201104640960693 ,  0.979569792747498 , 
-0.919113874435425 ,  0.393992036581039 , -0.570780754089355 , -0.821102499961853 , 
 0.195090323686600 ,  0.980785250663757 , -0.923879504203796 ,  0.382683426141739 , 
-0.555570244789124 , -0.831469595432281 ,  0.189068660140038 ,  0.981963872909546 , 
-0.928506076335907 ,  0.371317207813263 , -0.540171444416046 , -0.841554999351501 , 
 0.183039888739586 ,  0.983105480670929 , -0.932992815971375 ,  0.359895050525665 , 
-0.524589657783508 , -0.851355195045471 ,  0.177004218101501 ,  0.984210073947906 , 
-0.937339007854462 ,  0.348418682813644 , -0.508830130100250 , -0.860866963863373 , 
 0.170961886644363 ,  0.985277652740479 , -0.941544055938721 ,  0.336889863014221 , 
-0.492898195981979 , -0.870086967945099 ,  0.164913117885590 ,  0.986308097839355 , 
-0.945607304573059 ,  0.325310289859772 , -0.476799219846725 , -0.879012227058411 , 
 0.158858150243759 ,  0.987301409244537 , -0.949528157711029 ,  0.313681751489639 , 
-0.460538715124130 , -0.887639641761780 ,  0.152797192335129 ,  0.988257586956024 , 
-0.953306019306183 ,  0.302005946636200 , -0.444122135639191 , -0.895966231822968 , 
 0.146730467677116 ,  0.989176511764526 , -0.956940352916718 ,  0.290284663438797 , 
-0.427555084228516 , -0.903989315032959 ,  0.140658244490623 ,  0.990058183670044 , 
-0.960430502891541 ,  0.278519690036774 , -0.410843163728714 , -0.911706030368805 , 
 0.134580701589584 ,  0.990902662277222 , -0.963776051998138 ,  0.266712754964828 , 
-0.393992036581039 , -0.919113874435425 ,  0.128498107194901 ,  0.991709768772125 , 
-0.966976463794708 ,  0.254865646362305 , -0.377007395029068 , -0.926210224628448 , 
 0.122410677373409 ,  0.992479562759399 , -0.970031261444092 ,  0.242980182170868 , 
-0.359895050525665 , -0.932992815971375 ,  0.116318628191948 ,  0.993211925029755 , 
-0.972939968109131 ,  0.231058105826378 , -0.342660725116730 , -0.939459204673767 , 
 0.110222205519676 ,  0.993906974792480 , -0.975702106952667 ,  0.219101235270500 , 
-0.325310289859772 , -0.945607304573059 ,  0.104121632874012 ,  0.994564592838287 , 
-0.978317379951477 ,  0.207111373543739 , -0.307849645614624 , -0.951435029506683 , 
 0.098017141222954 ,  0.995184719562531 , -0.980785310268402 ,  0.195090323686600 , 
-0.290284663438797 , -0.956940352916718 ,  0.091908954083920 ,  0.995767414569855 , 
-0.983105480670929 ,  0.183039888739586 , -0.272621363401413 , -0.962121427059174 , 
 0.085797309875488 ,  0.996312618255615 , -0.985277652740479 ,  0.170961886644363 , 
-0.254865646362305 , -0.966976463794708 ,  0.079682439565659 ,  0.996820271015167 , 
-0.987301409244537 ,  0.158858150243759 , -0.237023606896400 , -0.971503913402557 , 
 0.073564566671848 ,  0.997290432453156 , -0.989176511764526 ,  0.146730467677116 , 
-0.219101235270500 , -0.975702106952667 ,  0.067443922162056 ,  0.997723042964935 , 
-0.990902662277222 ,  0.134580701589584 , -0.201104640960693 , -0.979569792747498 , 
 0.061320737004280 ,  0.998118102550507 , -0.992479562759399 ,  0.122410677373409 , 
-0.183039888739586 , -0.983105480670929 ,  0.055195245891809 ,  0.998475551605225 , 
-0.993906974792480 ,  0.110222205519676 , -0.164913117885590 , -0.986308097839355 , 
 0.049067672342062 ,  0.998795449733734 , -0.995184719562531 ,  0.098017141222954 , 
-0.146730467677116 , -0.989176511764526 ,  0.042938258498907 ,  0.999077737331390 , 
-0.996312618255615 ,  0.085797309875488 , -0.128498107194901 , -0.991709768772125 , 
 0.036807224154472 ,  0.999322354793549 , -0.997290432453156 ,  0.073564566671848 , 
-0.110222205519676 , -0.993906974792480 ,  0.030674802139401 ,  0.999529421329498 , 
-0.998118102550507 ,  0.061320737004280 , -0.091908954083920 , -0.995767414569855 , 
 0.024541229009628 ,  0.999698817729950 , -0.998795449733734 ,  0.049067672342062 , 
-0.073564566671848 , -0.997290432453156 ,  0.018406730145216 ,  0.999830603599548 , 
-0.999322414398193 ,  0.036807224154472 , -0.055195242166519 , -0.998475551605225 , 
 0.012271538376808 ,  0.999924719333649 , -0.999698817729950 ,  0.024541229009628 , 
-0.036807224154472 , -0.999322414398193 ,  0.006135884672403 ,  0.999981164932251 , 
-0.999924719333649 ,  0.012271537445486 , -0.018406730145216 , -0.999830603599548 , 
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.999698817729950 ,  0.024541229009628 , 
 0.998795449733734 ,  0.049067676067352 ,  0.997290432453156 ,  0.073564566671848 , 
 0.998795449733734 ,  0.049067676067352 ,  0.995184719562531 ,  0.098017141222954 , 
 0.989176511764526 ,  0.146730467677116 ,  0.997290432453156 ,  0.073564566671848 , 
 0.989176511764526 ,  0.146730467677116 ,  0.975702106952667 ,  0.219101235270500 , 
 0.995184719562531 ,  0.098017141222954 ,  0.980785250663757 ,  0.195090323686600 , 
 0.956940352916718 ,  0.290284663438797 ,  0.992479562759399 ,  0.122410677373409 , 
 0.970031261444092 ,  0.242980182170868 ,  0.932992815971375 ,  0.359895050525665 , 
 0.989176511764526 ,  0.146730467677116 ,  0.956940352916718 ,  0.290284663438797 , 
 0.903989315032959 ,  0.427555084228516 ,  0.985277652740479 ,  0.170961886644363 , 
 0.941544055938721 ,  0.336889863014221 ,  0.870086967945099 ,  0.492898195981979 , 
 0.980785250663757 ,  0.195090323686600 ,  0.923879504203796 ,  0.382683426141739 , 
 0.831469595432281 ,  0.555570244789124 ,  0.975702106952667 ,  0.219101235270500 , 
 0.903989315032959 ,  0.427555084228516 ,  0.788346409797668 ,  0.615231573581696 , 
 0.970031261444092 ,  0.242980182170868 ,  0.881921291351318 ,  0.471396744251251 , 
 0.740951120853424 ,  0.671558976173401 ,  0.963776051998138 ,  0.266712754964828 , 
 0.857728600502014 ,  0.514102756977081 ,  0.689540565013885 ,  0.724247097969055 , 
 0.956940352916718 ,  0.290284663438797 ,  0.831469595432281 ,  0.555570244789124 , 
 0.634393274784088 ,  0.773010432720184 ,  0.949528157711029 ,  0.313681751489639 , 
 0.803207516670227 ,  0.595699310302734 ,  0.575808167457581 ,  0.817584812641144 , 
 0.941544055938721 ,  0.336889863014221 ,  0.773010432720184 ,  0.634393274784088 , 
 0.514102756977081 ,  0.857728600502014 ,  0.932992815971375 ,  0.359895050525665 , 
 0.740951120853424 ,  0.671558976173401 ,  0.449611335992813 ,  0.893224298954010 , 
 0.923879504203796 ,  0.382683426141739 ,  0.707106769084930 ,  0.707106769084930 , 
 0.382683426141739 ,  0.923879504203796 ,  0.914209783077240 ,  0.405241310596466 , 
 0.671558976173401 ,  0.740951120853424 ,  0.313681751489639 ,  0.949528157711029 , 
 0.903989315032959 ,  0.427555084228516 ,  0.634393274784088 ,  0.773010432720184 , 
 0.242980182170868 ,  0.970031261444092 ,  0.893224298954010 ,  0.449611335992813 , 
 0.595699310302734 ,  0.803207516670227 ,  0.170961886644363 ,  0.985277652740479 , 
 0.881921291351318 ,  0.471396744251251 ,  0.555570244789124 ,  0.831469595432281 , 
 0.098017141222954 ,  0.995184719562531 ,  0.870086967945099 ,  0.492898195981979 , 
 0.514102756977081 ,  0.857728600502014 ,  0.024541229009628 ,  0.999698817729950 , 
 0.857728600502014 ,  0.514102756977081 ,  0.471396744251251 ,  0.881921291351318 , 
-0.049067676067352 ,  0.998795449733734 ,  0.844853579998016 ,  0.534997642040253 , 
 0.427555084228516 ,  0.903989315032959 , -0.122410677373409 ,  0.992479562759399 , 
 0.831469595432281 ,  0.555570244789124 ,  0.382683426141739 ,  0.923879504203796 , 
-0.195090323686600 ,  0.980785250663757 ,  0.817584812641144 ,  0.575808167457581 , 
 0.336889863014221 ,  0.941544055938721 , -0.266712754964828 ,  0.963776051998138 , 
 0.803207516670227 ,  0.595699310302734 ,  0.290284663438797 ,  0.956940352916718 , 
-0.336889863014221 ,  0.941544055938721 ,  0.788346409797668 ,  0.615231573581696 , 
 0.242980182170868 ,  0.970031261444092 , -0.405241310596466 ,  0.914209783077240 , 
 0.773010432720184 ,  0.634393274784088 ,  0.195090323686600 ,  0.980785250663757 , 
-0.471396744251251 ,  0.881921291351318 ,  0.757208824157715 ,  0.653172850608826 , 
 0.146730467677116 ,  0.989176511764526 , -0.534997642040253 ,  0.844853579998016 , 
 0.740951120853424 ,  0.671558976173401 ,  0.098017141222954 ,  0.995184719562531 , 
-0.595699310302734 ,  0.803207516670227 ,  0.724247097969055 ,  0.689540565013885 , 
 0.049067672342062 ,  0.998795449733734 , -0.653172850608826 ,  0.757208824157715 , 
 0.707106769084930 ,  0.707106769084930 , -0.000000000205103 ,  1.000000000000000 , 
-0.707106769084930 ,  0.707106769084930 ,  0.689540565013885 ,  0.724247097969055 , 
-0.049067676067352 ,  0.998795449733734 , -0.757208824157715 ,  0.653172850608826 , 
 0.671558976173401 ,  0.740951120853424 , -0.098017141222954 ,  0.995184719562531 , 
-0.803207516670227 ,  0.595699310302734 ,  0.653172850608826 ,  0.757208824157715 , 
-0.146730467677116 ,  0.989176511764526 , -0.844853579998016 ,  0.534997642040253 , 
 0.634393274784088 ,  0.773010432720184 , -0.195090323686600 ,  0.980785250663757 , 
-0.881921291351318 ,  0.471396744251251 ,  0.615231573581696 ,  0.788346409797668 , 
-0.242980182170868 ,  0.970031261444092 , -0.914209783077240 ,  0.405241310596466 , 
 0.595699310302734 ,  0.803207516670227 , -0.290284663438797 ,  0.956940352916718 , 
-0.941544055938721 ,  0.336889863014221 ,  0.575808167457581 ,  0.817584812641144 , 
-0.336889863014221 ,  0.941544055938721 , -0.963776051998138 ,  0.266712754964828 , 
 0.555570244789124 ,  0.831469595432281 , -0.382683426141739 ,  0.923879504203796 , 
-0.980785310268402 ,  0.195090323686600 ,  0.534997642040253 ,  0.844853579998016 , 
-0.427555084228516 ,  0.903989315032959 , -0.992479562759399 ,  0.122410677373409 , 
 0.514102756977081 ,  0.857728600502014 , -0.471396744251251 ,  0.881921291351318 , 
-0.998795449733734 ,  0.049067672342062 ,  0.492898195981979 ,  0.870086967945099 , 
-0.514102756977081 ,  0.857728600502014 , -0.999698817729950 , -0.024541229009628 , 
 0.471396744251251 ,  0.881921291351318 , -0.555570244789124 ,  0.831469595432281 , 
-0.995184719562531 , -0.098017141222954 ,  0.449611335992813 ,  0.893224298954010 , 
-0.595699310302734 ,  0.803207516670227 , -0.985277652740479 , -0.170961886644363 , 
 0.427555084228516 ,  0.903989315032959 , -0.634393274784088 ,  0.773010432720184 , 
-0.970031261444092 , -0.242980182170868 ,  0.405241310596466 ,  0.914209783077240 , 
-0.671558976173401 ,  0.740951120853424 , -0.949528157711029 , -0.313681751489639 , 
 0.382683426141739 ,  0.923879504203796 , -0.707106769084930 ,  0.707106769084930 , 
-0.923879504203796 , -0.382683426141739 ,  0.359895050525665 ,  0.932992815971375 , 
-0.740951120853424 ,  0.671558976173401 , -0.893224298954010 , -0.449611335992813 , 
 0.336889863014221 ,  0.941544055938721 , -0.773010432720184 ,  0.634393274784088 , 
-0.857728600502014 , -0.514102756977081 ,  0.313681751489639 ,  0.949528157711029 , 
-0.803207516670227 ,  0.595699310302734 , -0.817584812641144 , -0.575808167457581 , 
 0.290284663438797 ,  0.956940352916718 , -0.831469595432281 ,  0.555570244789124 , 
-0.773010432720184 , -0.634393274784088 ,  0.266712754964828 ,  0.963776051998138 , 
-0.857728600502014 ,  0.514102756977081 , -0.724247097969055 , -0.689540565013885 , 
 0.242980182170868 ,  0.970031261444092 , -0.881921291351318 ,  0.471396744251251 , 
-0.671558976173401 , -0.740951120853424 ,  0.219101235270500 ,  0.975702106952667 , 
-0.903989315032959 ,  0.427555084228516 , -0.615231573581696 , -0.788346409797668 , 
 0.195090323686600 ,  0.980785250663757 , -0.923879504203796 ,  0.382683426141739 , 
-0.555570244789124 , -0.831469595432281 ,  0.170961886644363 ,  0.985277652740479 , 
-0.941544055938721 ,  0.336889863014221 , -0.492898195981979 , -0.870086967945099 , 
 0.146730467677116 ,  0.989176511764526 , -0.956940352916718 ,  0.290284663438797 , 
-0.427555084228516 , -0.903989315032959 ,  0.122410677373409 ,  0.992479562759399 , 
-0.970031261444092 ,  0.242980182170868 , -0.359895050525665 , -0.932992815971375 , 
 0.098017141222954 ,  0.995184719562531 , -0.980785310268402 ,  0.195090323686600 , 
-0.290284663438797 , -0.956940352916718 ,  0.073564566671848 ,  0.997290432453156 , 
-0.989176511764526 ,  0.146730467677116 , -0.219101235270500 , -0.975702106952667 , 
 0.049067672342062 ,  0.998795449733734 , -0.995184719562531 ,  0.098017141222954 , 
-0.146730467677116 , -0.989176511764526 ,  0.024541229009628 ,  0.999698817729950 , 
-0.998795449733734 ,  0.049067672342062 , -0.073564566671848 , -0.997290432453156 , 
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.995184719562531 ,  0.098017141222954 , 
 0.980785250663757 ,  0.195090323686600 ,  0.956940352916718 ,  0.290284663438797 , 
 0.980785250663757 ,  0.195090323686600 ,  0.923879504203796 ,  0.382683426141739 , 
 0.831469595432281 ,  0.555570244789124 ,  0.956940352916718 ,  0.290284663438797 , 
 0.831469595432281 ,  0.555570244789124 ,  0.634393274784088 ,  0.773010432720184 , 
 0.923879504203796 ,  0.382683426141739 ,  0.707106769084930 ,  0.707106769084930 , 
 0.382683426141739 ,  0.923879504203796 ,  0.881921291351318 ,  0.471396744251251 , 
 0.555570244789124 ,  0.831469595432281 ,  0.098017141222954 ,  0.995184719562531 , 
 0.831469595432281 ,  0.555570244789124 ,  0.382683426141739 ,  0.923879504203796 , 
-0.195090323686600 ,  0.980785250663757 ,  0.773010432720184 ,  0.634393274784088 , 
 0.195090323686600 ,  0.980785250663757 , -0.471396744251251 ,  0.881921291351318 , 
 0.707106769084930 ,  0.707106769084930 , -0.000000000205103 ,  1.000000000000000 , 
-0.707106769084930 ,  0.707106769084930 ,  0.634393274784088 ,  0.773010432720184 , 
-0.195090323686600 ,  0.980785250663757 , -0.881921291351318 ,  0.471396744251251 , 
 0.555570244789124 ,  0.831469595432281 , -0.382683426141739 ,  0.923879504203796 , 
-0.980785310268402 ,  0.195090323686600 ,  0.471396744251251 ,  0.881921291351318 , 
-0.555570244789124 ,  0.831469595432281 , -0.995184719562531 , -0.098017141222954 , 
 0.382683426141739 ,  0.923879504203796 , -0.707106769084930 ,  0.707106769084930 , 
-0.923879504203796 , -0.382683426141739 ,  0.290284663438797 ,  0.956940352916718 , 
-0.831469595432281 ,  0.555570244789124 , -0.773010432720184 , -0.634393274784088 , 
 0.195090323686600 ,  0.980785250663757 , -0.923879504203796 ,  0.382683426141739 , 
-0.555570244789124 , -0.831469595432281 ,  0.098017141222954 ,  0.995184719562531 , 
-0.980785310268402 ,  0.195090323686600 , -0.290284663438797 , -0.956940352916718 , 
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.923879504203796 ,  0.382683426141739 , 
 0.707106769084930 ,  0.707106769084930 ,  0.382683426141739 ,  0.923879504203796 , 
 0.707106769084930 ,  0.707106769084930 , -0.000000000205103 ,  1.000000000000000 , 
-0.707106769084930 ,  0.707106769084930 ,  0.382683426141739 ,  0.923879504203796 , 
-0.707106769084930 ,  0.707106769084930 , -0.923879504203796 , -0.382683426141739 , 
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.000000000000000 ,  0.000000000000000 , 

};

#ifdef _TMS320C6X

#ifdef __TI_EABI__
asm(" .global twiddle_32");
asm("twiddle_32 .set twiddle_512+960*4");

asm(" .global twiddle_64");
asm("twiddle_64 .set twiddle_1024+1920*4");

asm(" .global twiddle_128");
asm("twiddle_128 .set twiddle_512+768*4");

asm(" .global twiddle_256");
asm("twiddle_256 .set twiddle_1024+1536*4");
#else /* __TI_EABI__ */
asm(" .global _twiddle_32");
asm("_twiddle_32 .set _twiddle_512+960*4");

asm(" .global _twiddle_64");
asm("_twiddle_64 .set _twiddle_1024+1920*4");

asm(" .global _twiddle_128");
asm("_twiddle_128 .set _twiddle_512+768*4");

asm(" .global _twiddle_256");
asm("_twiddle_256 .set _twiddle_1024+1536*4");
#endif/* __TI_EABI__ */
#else //_TMS320C6X

#pragma DATA_ALIGN (twiddle_32 , 8);
const float twiddle_32[] =
{
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.980785250663757 ,  0.195090323686600 , 
 0.923879504203796 ,  0.382683426141739 ,  0.831469595432281 ,  0.555570244789124 , 
 0.923879504203796 ,  0.382683426141739 ,  0.707106769084930 ,  0.707106769084930 , 
 0.382683426141739 ,  0.923879504203796 ,  0.831469595432281 ,  0.555570244789124 , 
 0.382683426141739 ,  0.923879504203796 , -0.195090323686600 ,  0.980785250663757 , 
 0.707106769084930 ,  0.707106769084930 , -0.000000000205103 ,  1.000000000000000 , 
-0.707106769084930 ,  0.707106769084930 ,  0.555570244789124 ,  0.831469595432281 , 
-0.382683426141739 ,  0.923879504203796 , -0.980785310268402 ,  0.195090323686600 , 
 0.382683426141739 ,  0.923879504203796 , -0.707106769084930 ,  0.707106769084930 , 
-0.923879504203796 , -0.382683426141739 ,  0.195090323686600 ,  0.980785250663757 , 
-0.923879504203796 ,  0.382683426141739 , -0.555570244789124 , -0.831469595432281 , 
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.707106769084930 ,  0.707106769084930 , 
-0.000000000205103 ,  1.000000000000000 , -0.707106769084930 ,  0.707106769084930 , 
 0.000000000000000 ,  0.000000000000000 ,  0.000000000000000 ,  0.000000000000000 , 
};


#pragma DATA_ALIGN (twiddle_64 , 8);
const float twiddle_64[] =
{
 1.000000000000000 , 0.000000000000000 , 1.000000000000000 , 0.000000000000000 ,
 1.000000000000000 , 0.000000000000000 , 0.995184719562531 , 0.098017141222954 ,
 0.980785250663757 , 0.195090323686600 , 0.956940352916718 , 0.290284663438797 ,
 0.980785250663757 , 0.195090323686600 , 0.923879504203796 , 0.382683426141739 ,
 0.831469595432281 , 0.555570244789124 , 0.956940352916718 , 0.290284663438797 ,
 0.831469595432281 , 0.555570244789124 , 0.634393274784088 , 0.773010432720184 ,
 0.923879504203796 , 0.382683426141739 , 0.707106769084930 , 0.707106769084930 ,
 0.382683426141739 , 0.923879504203796 , 0.881921291351318 , 0.471396744251251 ,
 0.555570244789124 , 0.831469595432281 , 0.098017141222954 , 0.995184719562531 ,
 0.831469595432281 , 0.555570244789124 , 0.382683426141739 , 0.923879504203796 ,
-0.195090323686600 , 0.980785250663757 , 0.773010432720184 , 0.634393274784088 ,
 0.195090323686600 , 0.980785250663757 ,-0.471396744251251 , 0.881921291351318 ,
 0.707106769084930 , 0.707106769084930 , 0.000000000000000 , 1.000000000000000 ,
-0.707106769084930 , 0.707106769084930 , 0.634393274784088 , 0.773010432720184 ,
-0.195090323686600 , 0.980785250663757 ,-0.881921291351318 , 0.471396744251251 ,
 0.555570244789124 , 0.831469595432281 ,-0.382683426141739 , 0.923879504203796 ,
-0.980785250663757 , 0.195090323686600 , 0.471396744251251 , 0.881921291351318 ,
-0.555570244789124 , 0.831469595432281 ,-0.995184719562531 ,-0.098017141222954 ,
 0.382683426141739 , 0.923879504203796 ,-0.707106769084930 , 0.707106769084930 ,
-0.923879504203796 ,-0.382683426141739 , 0.290284663438797 , 0.956940352916718 ,
-0.831469595432281 , 0.555570244789124 ,-0.773010432720184 ,-0.634393274784088 ,
 0.195090323686600 , 0.980785250663757 ,-0.923879504203796 , 0.382683426141739 ,
-0.555570244789124 ,-0.831469595432281 , 0.098017141222954 , 0.995184719562531 ,
-0.980785250663757 , 0.195090323686600 ,-0.290284663438797 ,-0.956940352916718 ,
 1.000000000000000 , 0.000000000000000 , 1.000000000000000 , 0.000000000000000 ,
 1.000000000000000 , 0.000000000000000 , 0.923879504203796 , 0.382683426141739 ,
 0.707106769084930 , 0.707106769084930 , 0.382683426141739 , 0.923879504203796 ,
 0.707106769084930 , 0.707106769084930 , 0.000000000000000 , 1.000000000000000 ,
-0.707106769084930 , 0.707106769084930 , 0.382683426141739 , 0.923879504203796 ,
-0.707106769084930 , 0.707106769084930 ,-0.923879504203796 ,-0.382683426141739 ,
 1.000000000000000 , 0.000000000000000 , 1.000000000000000 , 0.000000000000000 ,
 1.000000000000000 , 0.000000000000000 , 0.000000000000000 , 0.000000000000000 ,

};


#pragma DATA_ALIGN (twiddle_128 , 8);
const float twiddle_128[] = 
{
1.000000000000000 , 0.000000000000000 , 1.000000000000000 , 0.000000000000000 ,
 1.000000000000000 , 0.000000000000000 , 0.998795449733734 , 0.049067676067352 ,
 0.995184719562531 , 0.098017141222954 , 0.989176511764526 , 0.146730467677116 ,
 0.995184719562531 , 0.098017141222954 , 0.980785250663757 , 0.195090323686600 ,
 0.956940352916718 , 0.290284663438797 , 0.989176511764526 , 0.146730467677116 ,
 0.956940352916718 , 0.290284663438797 , 0.903989315032959 , 0.427555084228516 ,
 0.980785250663757 , 0.195090323686600 , 0.923879504203796 , 0.382683426141739 ,
 0.831469595432281 , 0.555570244789124 , 0.970031261444092 , 0.242980182170868 ,
 0.881921291351318 , 0.471396744251251 , 0.740951120853424 , 0.671558976173401 ,
 0.956940352916718 , 0.290284663438797 , 0.831469595432281 , 0.555570244789124 ,
 0.634393274784088 , 0.773010432720184 , 0.941544055938721 , 0.336889863014221 ,
 0.773010432720184 , 0.634393274784088 , 0.514102756977081 , 0.857728600502014 ,
 0.923879504203796 , 0.382683426141739 , 0.707106769084930 , 0.707106769084930 ,
 0.382683426141739 , 0.923879504203796 , 0.903989315032959 , 0.427555084228516 ,
 0.634393274784088 , 0.773010432720184 , 0.242980182170868 , 0.970031261444092 ,
 0.881921291351318 , 0.471396744251251 , 0.555570244789124 , 0.831469595432281 ,
 0.098017141222954 , 0.995184719562531 , 0.857728600502014 , 0.514102756977081 ,
 0.471396744251251 , 0.881921291351318 ,-0.049067676067352 , 0.998795449733734 ,
 0.831469595432281 , 0.555570244789124 , 0.382683426141739 , 0.923879504203796 ,
-0.195090323686600 , 0.980785250663757 , 0.803207516670227 , 0.595699310302734 ,
 0.290284663438797 , 0.956940352916718 ,-0.336889863014221 , 0.941544055938721 ,
 0.773010432720184 , 0.634393274784088 , 0.195090323686600 , 0.980785250663757 ,
-0.471396744251251 , 0.881921291351318 , 0.740951120853424 , 0.671558976173401 ,
 0.098017141222954 , 0.995184719562531 ,-0.595699310302734 , 0.803207516670227 ,
 0.707106769084930 , 0.707106769084930 , 0.000000000000000 , 1.000000000000000 ,
-0.707106769084930 , 0.707106769084930 , 0.671558976173401 , 0.740951120853424 ,
-0.098017141222954 , 0.995184719562531 ,-0.803207516670227 , 0.595699310302734 ,
 0.634393274784088 , 0.773010432720184 ,-0.195090323686600 , 0.980785250663757 ,
-0.881921291351318 , 0.471396744251251 , 0.595699310302734 , 0.803207516670227 ,
-0.290284663438797 , 0.956940352916718 ,-0.941544055938721 , 0.336889863014221 ,
 0.555570244789124 , 0.831469595432281 ,-0.382683426141739 , 0.923879504203796 ,
-0.980785250663757 , 0.195090323686600 , 0.514102756977081 , 0.857728600502014 ,
-0.471396744251251 , 0.881921291351318 ,-0.998795449733734 , 0.049067676067352 ,
 0.471396744251251 , 0.881921291351318 ,-0.555570244789124 , 0.831469595432281 ,
-0.995184719562531 ,-0.098017141222954 , 0.427555084228516 , 0.903989315032959 ,
-0.634393274784088 , 0.773010432720184 ,-0.970031261444092 ,-0.242980182170868 ,
 0.382683426141739 , 0.923879504203796 ,-0.707106769084930 , 0.707106769084930 ,
-0.923879504203796 ,-0.382683426141739 , 0.336889863014221 , 0.941544055938721 ,
-0.773010432720184 , 0.634393274784088 ,-0.857728600502014 ,-0.514102756977081 ,
 0.290284663438797 , 0.956940352916718 ,-0.831469595432281 , 0.555570244789124 ,
-0.773010432720184 ,-0.634393274784088 , 0.242980182170868 , 0.970031261444092 ,
-0.881921291351318 , 0.471396744251251 ,-0.671558976173401 ,-0.740951120853424 ,
 0.195090323686600 , 0.980785250663757 ,-0.923879504203796 , 0.382683426141739 ,
-0.555570244789124 ,-0.831469595432281 , 0.146730467677116 , 0.989176511764526 ,
-0.956940352916718 , 0.290284663438797 ,-0.427555084228516 ,-0.903989315032959 ,
 0.098017141222954 , 0.995184719562531 ,-0.980785250663757 , 0.195090323686600 ,
-0.290284663438797 ,-0.956940352916718 , 0.049067676067352 , 0.998795449733734 ,
-0.995184719562531 , 0.098017141222954 ,-0.146730467677116 ,-0.989176511764526 ,
 1.000000000000000 , 0.000000000000000 , 1.000000000000000 , 0.000000000000000 ,
 1.000000000000000 , 0.000000000000000 , 0.980785250663757 , 0.195090323686600 ,
 0.923879504203796 , 0.382683426141739 , 0.831469595432281 , 0.555570244789124 ,
 0.923879504203796 , 0.382683426141739 , 0.707106769084930 , 0.707106769084930 ,
 0.382683426141739 , 0.923879504203796 , 0.831469595432281 , 0.555570244789124 ,
 0.382683426141739 , 0.923879504203796 ,-0.195090323686600 , 0.980785250663757 ,
 0.707106769084930 , 0.707106769084930 , 0.000000000000000 , 1.000000000000000 ,
-0.707106769084930 , 0.707106769084930 , 0.555570244789124 , 0.831469595432281 ,
-0.382683426141739 , 0.923879504203796 ,-0.980785250663757 , 0.195090323686600 ,
 0.382683426141739 , 0.923879504203796 ,-0.707106769084930 , 0.707106769084930 ,
-0.923879504203796 ,-0.382683426141739 , 0.195090323686600 , 0.980785250663757 ,
-0.923879504203796 , 0.382683426141739 ,-0.555570244789124 ,-0.831469595432281 ,
 1.000000000000000 , 0.000000000000000 , 1.000000000000000 , 0.000000000000000 ,
 1.000000000000000 , 0.000000000000000 , 0.707106769084930 , 0.707106769084930 ,
 0.000000000000000 , 1.000000000000000 ,-0.707106769084930 , 0.707106769084930 ,
 0.000000000000000 , 0.000000000000000 , 0.000000000000000 , 0.000000000000000 ,
};

#pragma DATA_ALIGN (twiddle_256 , 8);
const float twiddle_256[] =
{
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.999698817729950 ,  0.024541229009628 , 
 0.998795449733734 ,  0.049067676067352 ,  0.997290432453156 ,  0.073564566671848 , 
 0.998795449733734 ,  0.049067676067352 ,  0.995184719562531 ,  0.098017141222954 , 
 0.989176511764526 ,  0.146730467677116 ,  0.997290432453156 ,  0.073564566671848 , 
 0.989176511764526 ,  0.146730467677116 ,  0.975702106952667 ,  0.219101235270500 , 
 0.995184719562531 ,  0.098017141222954 ,  0.980785250663757 ,  0.195090323686600 , 
 0.956940352916718 ,  0.290284663438797 ,  0.992479562759399 ,  0.122410677373409 , 
 0.970031261444092 ,  0.242980182170868 ,  0.932992815971375 ,  0.359895050525665 , 
 0.989176511764526 ,  0.146730467677116 ,  0.956940352916718 ,  0.290284663438797 , 
 0.903989315032959 ,  0.427555084228516 ,  0.985277652740479 ,  0.170961886644363 , 
 0.941544055938721 ,  0.336889863014221 ,  0.870086967945099 ,  0.492898195981979 , 
 0.980785250663757 ,  0.195090323686600 ,  0.923879504203796 ,  0.382683426141739 , 
 0.831469595432281 ,  0.555570244789124 ,  0.975702106952667 ,  0.219101235270500 , 
 0.903989315032959 ,  0.427555084228516 ,  0.788346409797668 ,  0.615231573581696 , 
 0.970031261444092 ,  0.242980182170868 ,  0.881921291351318 ,  0.471396744251251 , 
 0.740951120853424 ,  0.671558976173401 ,  0.963776051998138 ,  0.266712754964828 , 
 0.857728600502014 ,  0.514102756977081 ,  0.689540565013885 ,  0.724247097969055 , 
 0.956940352916718 ,  0.290284663438797 ,  0.831469595432281 ,  0.555570244789124 , 
 0.634393274784088 ,  0.773010432720184 ,  0.949528157711029 ,  0.313681751489639 , 
 0.803207516670227 ,  0.595699310302734 ,  0.575808167457581 ,  0.817584812641144 , 
 0.941544055938721 ,  0.336889863014221 ,  0.773010432720184 ,  0.634393274784088 , 
 0.514102756977081 ,  0.857728600502014 ,  0.932992815971375 ,  0.359895050525665 , 
 0.740951120853424 ,  0.671558976173401 ,  0.449611335992813 ,  0.893224298954010 , 
 0.923879504203796 ,  0.382683426141739 ,  0.707106769084930 ,  0.707106769084930 , 
 0.382683426141739 ,  0.923879504203796 ,  0.914209783077240 ,  0.405241310596466 , 
 0.671558976173401 ,  0.740951120853424 ,  0.313681751489639 ,  0.949528157711029 , 
 0.903989315032959 ,  0.427555084228516 ,  0.634393274784088 ,  0.773010432720184 , 
 0.242980182170868 ,  0.970031261444092 ,  0.893224298954010 ,  0.449611335992813 , 
 0.595699310302734 ,  0.803207516670227 ,  0.170961886644363 ,  0.985277652740479 , 
 0.881921291351318 ,  0.471396744251251 ,  0.555570244789124 ,  0.831469595432281 , 
 0.098017141222954 ,  0.995184719562531 ,  0.870086967945099 ,  0.492898195981979 , 
 0.514102756977081 ,  0.857728600502014 ,  0.024541229009628 ,  0.999698817729950 , 
 0.857728600502014 ,  0.514102756977081 ,  0.471396744251251 ,  0.881921291351318 , 
-0.049067676067352 ,  0.998795449733734 ,  0.844853579998016 ,  0.534997642040253 , 
 0.427555084228516 ,  0.903989315032959 , -0.122410677373409 ,  0.992479562759399 , 
 0.831469595432281 ,  0.555570244789124 ,  0.382683426141739 ,  0.923879504203796 , 
-0.195090323686600 ,  0.980785250663757 ,  0.817584812641144 ,  0.575808167457581 , 
 0.336889863014221 ,  0.941544055938721 , -0.266712754964828 ,  0.963776051998138 , 
 0.803207516670227 ,  0.595699310302734 ,  0.290284663438797 ,  0.956940352916718 , 
-0.336889863014221 ,  0.941544055938721 ,  0.788346409797668 ,  0.615231573581696 , 
 0.242980182170868 ,  0.970031261444092 , -0.405241310596466 ,  0.914209783077240 , 
 0.773010432720184 ,  0.634393274784088 ,  0.195090323686600 ,  0.980785250663757 , 
-0.471396744251251 ,  0.881921291351318 ,  0.757208824157715 ,  0.653172850608826 , 
 0.146730467677116 ,  0.989176511764526 , -0.534997642040253 ,  0.844853579998016 , 
 0.740951120853424 ,  0.671558976173401 ,  0.098017141222954 ,  0.995184719562531 , 
-0.595699310302734 ,  0.803207516670227 ,  0.724247097969055 ,  0.689540565013885 , 
 0.049067672342062 ,  0.998795449733734 , -0.653172850608826 ,  0.757208824157715 , 
 0.707106769084930 ,  0.707106769084930 , -0.000000000205103 ,  1.000000000000000 , 
-0.707106769084930 ,  0.707106769084930 ,  0.689540565013885 ,  0.724247097969055 , 
-0.049067676067352 ,  0.998795449733734 , -0.757208824157715 ,  0.653172850608826 , 
 0.671558976173401 ,  0.740951120853424 , -0.098017141222954 ,  0.995184719562531 , 
-0.803207516670227 ,  0.595699310302734 ,  0.653172850608826 ,  0.757208824157715 , 
-0.146730467677116 ,  0.989176511764526 , -0.844853579998016 ,  0.534997642040253 , 
 0.634393274784088 ,  0.773010432720184 , -0.195090323686600 ,  0.980785250663757 , 
-0.881921291351318 ,  0.471396744251251 ,  0.615231573581696 ,  0.788346409797668 , 
-0.242980182170868 ,  0.970031261444092 , -0.914209783077240 ,  0.405241310596466 , 
 0.595699310302734 ,  0.803207516670227 , -0.290284663438797 ,  0.956940352916718 , 
-0.941544055938721 ,  0.336889863014221 ,  0.575808167457581 ,  0.817584812641144 , 
-0.336889863014221 ,  0.941544055938721 , -0.963776051998138 ,  0.266712754964828 , 
 0.555570244789124 ,  0.831469595432281 , -0.382683426141739 ,  0.923879504203796 , 
-0.980785310268402 ,  0.195090323686600 ,  0.534997642040253 ,  0.844853579998016 , 
-0.427555084228516 ,  0.903989315032959 , -0.992479562759399 ,  0.122410677373409 , 
 0.514102756977081 ,  0.857728600502014 , -0.471396744251251 ,  0.881921291351318 , 
-0.998795449733734 ,  0.049067672342062 ,  0.492898195981979 ,  0.870086967945099 , 
-0.514102756977081 ,  0.857728600502014 , -0.999698817729950 , -0.024541229009628 , 
 0.471396744251251 ,  0.881921291351318 , -0.555570244789124 ,  0.831469595432281 , 
-0.995184719562531 , -0.098017141222954 ,  0.449611335992813 ,  0.893224298954010 , 
-0.595699310302734 ,  0.803207516670227 , -0.985277652740479 , -0.170961886644363 , 
 0.427555084228516 ,  0.903989315032959 , -0.634393274784088 ,  0.773010432720184 , 
-0.970031261444092 , -0.242980182170868 ,  0.405241310596466 ,  0.914209783077240 , 
-0.671558976173401 ,  0.740951120853424 , -0.949528157711029 , -0.313681751489639 , 
 0.382683426141739 ,  0.923879504203796 , -0.707106769084930 ,  0.707106769084930 , 
-0.923879504203796 , -0.382683426141739 ,  0.359895050525665 ,  0.932992815971375 , 
-0.740951120853424 ,  0.671558976173401 , -0.893224298954010 , -0.449611335992813 , 
 0.336889863014221 ,  0.941544055938721 , -0.773010432720184 ,  0.634393274784088 , 
-0.857728600502014 , -0.514102756977081 ,  0.313681751489639 ,  0.949528157711029 , 
-0.803207516670227 ,  0.595699310302734 , -0.817584812641144 , -0.575808167457581 , 
 0.290284663438797 ,  0.956940352916718 , -0.831469595432281 ,  0.555570244789124 , 
-0.773010432720184 , -0.634393274784088 ,  0.266712754964828 ,  0.963776051998138 , 
-0.857728600502014 ,  0.514102756977081 , -0.724247097969055 , -0.689540565013885 , 
 0.242980182170868 ,  0.970031261444092 , -0.881921291351318 ,  0.471396744251251 , 
-0.671558976173401 , -0.740951120853424 ,  0.219101235270500 ,  0.975702106952667 , 
-0.903989315032959 ,  0.427555084228516 , -0.615231573581696 , -0.788346409797668 , 
 0.195090323686600 ,  0.980785250663757 , -0.923879504203796 ,  0.382683426141739 , 
-0.555570244789124 , -0.831469595432281 ,  0.170961886644363 ,  0.985277652740479 , 
-0.941544055938721 ,  0.336889863014221 , -0.492898195981979 , -0.870086967945099 , 
 0.146730467677116 ,  0.989176511764526 , -0.956940352916718 ,  0.290284663438797 , 
-0.427555084228516 , -0.903989315032959 ,  0.122410677373409 ,  0.992479562759399 , 
-0.970031261444092 ,  0.242980182170868 , -0.359895050525665 , -0.932992815971375 , 
 0.098017141222954 ,  0.995184719562531 , -0.980785310268402 ,  0.195090323686600 , 
-0.290284663438797 , -0.956940352916718 ,  0.073564566671848 ,  0.997290432453156 , 
-0.989176511764526 ,  0.146730467677116 , -0.219101235270500 , -0.975702106952667 , 
 0.049067672342062 ,  0.998795449733734 , -0.995184719562531 ,  0.098017141222954 , 
-0.146730467677116 , -0.989176511764526 ,  0.024541229009628 ,  0.999698817729950 , 
-0.998795449733734 ,  0.049067672342062 , -0.073564566671848 , -0.997290432453156 , 
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.995184719562531 ,  0.098017141222954 , 
 0.980785250663757 ,  0.195090323686600 ,  0.956940352916718 ,  0.290284663438797 , 
 0.980785250663757 ,  0.195090323686600 ,  0.923879504203796 ,  0.382683426141739 , 
 0.831469595432281 ,  0.555570244789124 ,  0.956940352916718 ,  0.290284663438797 , 
 0.831469595432281 ,  0.555570244789124 ,  0.634393274784088 ,  0.773010432720184 , 
 0.923879504203796 ,  0.382683426141739 ,  0.707106769084930 ,  0.707106769084930 , 
 0.382683426141739 ,  0.923879504203796 ,  0.881921291351318 ,  0.471396744251251 , 
 0.555570244789124 ,  0.831469595432281 ,  0.098017141222954 ,  0.995184719562531 , 
 0.831469595432281 ,  0.555570244789124 ,  0.382683426141739 ,  0.923879504203796 , 
-0.195090323686600 ,  0.980785250663757 ,  0.773010432720184 ,  0.634393274784088 , 
 0.195090323686600 ,  0.980785250663757 , -0.471396744251251 ,  0.881921291351318 , 
 0.707106769084930 ,  0.707106769084930 , -0.000000000205103 ,  1.000000000000000 , 
-0.707106769084930 ,  0.707106769084930 ,  0.634393274784088 ,  0.773010432720184 , 
-0.195090323686600 ,  0.980785250663757 , -0.881921291351318 ,  0.471396744251251 , 
 0.555570244789124 ,  0.831469595432281 , -0.382683426141739 ,  0.923879504203796 , 
-0.980785310268402 ,  0.195090323686600 ,  0.471396744251251 ,  0.881921291351318 , 
-0.555570244789124 ,  0.831469595432281 , -0.995184719562531 , -0.098017141222954 , 
 0.382683426141739 ,  0.923879504203796 , -0.707106769084930 ,  0.707106769084930 , 
-0.923879504203796 , -0.382683426141739 ,  0.290284663438797 ,  0.956940352916718 , 
-0.831469595432281 ,  0.555570244789124 , -0.773010432720184 , -0.634393274784088 , 
 0.195090323686600 ,  0.980785250663757 , -0.923879504203796 ,  0.382683426141739 , 
-0.555570244789124 , -0.831469595432281 ,  0.098017141222954 ,  0.995184719562531 , 
-0.980785310268402 ,  0.195090323686600 , -0.290284663438797 , -0.956940352916718 , 
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.923879504203796 ,  0.382683426141739 , 
 0.707106769084930 ,  0.707106769084930 ,  0.382683426141739 ,  0.923879504203796 , 
 0.707106769084930 ,  0.707106769084930 , -0.000000000205103 ,  1.000000000000000 , 
-0.707106769084930 ,  0.707106769084930 ,  0.382683426141739 ,  0.923879504203796 , 
-0.707106769084930 ,  0.707106769084930 , -0.923879504203796 , -0.382683426141739 , 
 1.000000000000000 ,  0.000000000000000 ,  1.000000000000000 ,  0.000000000000000 , 
 1.000000000000000 ,  0.000000000000000 ,  0.000000000000000 ,  0.000000000000000 , 
};

#endif //_TMS320C6X
